/*  This file is part of the KDE project
    Copyright (C) 2007 Isaac Clerencia <isaac@warp.es>
    Copyright (C) 2007 Javier Uruen <juruen@warp.es>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef CENTRALWIDGET_H
#define CENTRALWIDGET_H

#include "ui_centralwidget.h"

class QAbstractItemModel;
class QSortFilterProxyModel;
class StraceRunner;

class CentralWidget : public QWidget, public Ui::CentralWidget {
    Q_OBJECT

    public:
        CentralWidget(QWidget* parent = 0);
        void setSysCallModel(QAbstractItemModel * model);
        void setStraceRunner(StraceRunner * straceRunner);
    
    public slots:
        void tracing();
        void traceFinished(int exitCode);

    private slots:
        void filterTextChanged(const QString& text);
        void startButtonClicked();
        void stopButtonClicked();
	void attachButtonClicked();

    private:
        QSortFilterProxyModel* m_proxyModel;
        StraceRunner*   m_straceRunner;

};

#endif
