#include "accept.h"
#include "filetracker.h"
#include "addressdecoder.h"
#include <cassert>
#include <kdebug.h>

using namespace Decoder;

void Accept::decode(SysCallInfo &sysCall) {
    assert(sysCall.name() == "accept");
    int fd = sysCall.returnValue().toInt();

    addParameter(File, sysCall, 0);
    for (int i=1;i<sysCall.parameters().size();i++) addParameter(Text, sysCall, i);

    if (fd == -1) addReturnValue(Text, sysCall);
     else {
        FT->socketAccepted(sysCall.time(),sysCall.parameters()[0].toInt(), fd,AddressDecoder::address(sysCall.parameters(),1));
	addReturnValue(File, sysCall);
    }
}
