#ifndef DECODER_BASE_H
#define DECODER_BASE_H

#include "syscallinfo.h"
#include "paintableitems.h"

namespace Decoder
{
    class Base
    {
        public:
	    enum DataType { Text, File, Filename, Invalid };
            virtual void decode(SysCallInfo &sysCall) = 0;
            virtual ~Base() {}
	protected:
	    QHash<QString,QString> generateInfo(DataType type, const QString& value, double time) const;
	    void addParameter(DataType type, SysCallInfo &sysCall, int offset) const;
	    void addReturnValue(DataType type, SysCallInfo &sysCall) const;
	
    };
} // namespace Decoder
#endif
