#include "connect.h"
#include "filetracker.h"
#include "addressdecoder.h"
#include <cassert>
#include <kdebug.h>

using namespace Decoder;

void Connect::decode(SysCallInfo &sysCall) {
    kDebug() << "Decoding a connect!";
    assert(( sysCall.name() == "connect" || sysCall.name() == "bind"));

    addParameter(File, sysCall, 0);
    for (int i=1;i<sysCall.parameters().size();i++) addParameter(Text, sysCall, i);

    if (sysCall.returnValue()!="-1") {
        int fd=sysCall.parameters()[0].toInt();
	QString addr=AddressDecoder::address(sysCall.parameters(),1);
        FT->socketAddress(sysCall.time(), fd, addr, (sysCall.name() == "bind"));
    }
    addReturnValue(Text,sysCall);
}
