#include "open.h"
#include "filetracker.h"
#include <cassert>
#include <kdebug.h>

using namespace Decoder;

void Open::decode(SysCallInfo &sysCall) {
    kDebug() << "Decoding an open!";
    assert(sysCall.name() == "open");
    int fd = sysCall.returnValue().toInt();

    QString file = sysCall.parameters()[0];
    //remove quotes from the filename
    file.remove(0,1);
    file.chop(1);
    
    addParameter(Filename, sysCall,0);
    addParameter(Text, sysCall,1);
    if (fd == -1) addReturnValue(Text, sysCall);
    else {
        FT->fileOpened(sysCall.time(),fd,file);
	addReturnValue(File,sysCall);
    }
}
