/*  This file is part of the KDE project
    Copyright (C) 2007 Isaac Clerencia <isaac@warp.es>
    Copyright (C) 2007 Javier Uruen <juruen@warp.es>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "mainwindow.h"

#include "centralwidget.h"
#include "stracerunner.h"

#include <QTableView>
#include <QVBoxLayout>
#include <QDockWidget>


MainWindow::MainWindow() : KMainWindow()
{
    m_centralWidget = new CentralWidget(this);
    setCentralWidget(m_centralWidget);
    applyMainWindowSettings( KConfigGroup( KGlobal::config(), "MainWindow" ) );
}

bool MainWindow::queryClose() {
    saveMainWindowSettings( KConfigGroup( KGlobal::config(), "MainWindow" ) );
    return true;
}

void MainWindow::setSysCallModel(QAbstractItemModel * model)
{
    m_centralWidget->setSysCallModel(model);
}

void MainWindow::setStraceRunner(StraceRunner* straceRunner)
{
    m_centralWidget->setStraceRunner(straceRunner);
}

#include "mainwindow.moc"
