#include "file.h"
#include "filetracker.h"
#include <QFile>
#include <cassert>
#include <kdebug.h>

using namespace Painter;

QRect File::paint(QHash<QString,QString> attrs, QPainter *painter,
        const QStyleOptionViewItem &option, QRect r) {
//    assert(attrs["type"] == "file" || assert["type"] == "socket");
    assert(attrs.contains("fd"));
//    kDebug() << attrs;
    assert(attrs.contains("text"));
    QString name = attrs["text"];
    painter->setPen(QColor(0,0,255)); 

    QRect bounding;
    painter->drawText(r,Qt::AlignLeft | Qt::AlignVCenter,name,&bounding);
    return bounding;
}

QString File::toolTip(QHash<QString,QString> attrs) {
//    assert(attrs["type"] == "file" || assert["type"] == "socket");
    assert(attrs.contains("fd"));
    assert(attrs.contains("text"));
    QFile file(attrs["text"]);
    QString text = QString("Name: %1").arg(attrs["text"]);
    text += QString("\nfd: %1").arg(attrs["fd"]);
    if (file.exists()) {
        text += QString("\nSize: %2").arg(file.size());
    }
    if (attrs.contains("extinfo")) text+="\n"+attrs["extinfo"];
    return text;
}
