#include "filename.h"
#include "filetracker.h"
#include <QFile>
#include <cassert>
#include <kdebug.h>

using namespace Painter;

QRect Filename::paint(QHash<QString,QString> attrs, QPainter *painter,
        const QStyleOptionViewItem &option, QRect r) {
    assert(attrs["type"] == "filename");
    assert(attrs.contains("path"));
    QString path = attrs["path"];
    painter->setPen(QColor(0,0,255)); 

    QRect bounding;
    painter->drawText(r,Qt::AlignLeft | Qt::AlignVCenter,path,&bounding);
    return bounding;
}

QString Filename::toolTip(QHash<QString,QString> attrs) {
    assert(attrs["type"] == "filename");
    assert(attrs.contains("path"));
    QFile file(attrs["path"]);
    QString text = QString("Name: %1").arg(attrs["path"]);
    if (file.exists()) {
        text += QString("\nSize: %2").arg(file.size());
    }
    return text;
}
