#include "painterfactory.h"
#include "painter/painters.h"

QHash<QString,Painter::Base *> PainterFactory::m_painters;

Painter::Base *PainterFactory::getPainter(QString tag) {
    if (!m_painters.contains(tag)) {
        if (tag == "filename") {
            m_painters["filename"] = new Painter::Filename();
        } else if (tag == "file") {
            m_painters["file"] = new Painter::File();
        } else if (tag == "socket") {
            m_painters["socket"] = new Painter::File();
        } else if (tag == "text") {
            m_painters["text"] = new Painter::Text();
	}
    }
    if (!m_painters.contains(tag)) {
        return 0;
    } else {
        return m_painters[tag];
    }
}
