#include "parameterlocator.h"
#include "kdebug.h"

ParameterLocator* ParameterLocator::instance()
{
    if (m_instance == 0) {
        m_instance = new ParameterLocator();
    }

    return m_instance;
}

void ParameterLocator::addPaintedParameter(const QModelIndex& index, int x)
{
    QString key = this->key(index);

    m_parameterPositions[key].append(x);
}

void ParameterLocator::clearPaintedParameters(const QModelIndex& index)
{
    QString key = this->key(index);
    m_parameterPositions[key].clear();
    m_parameterPositions.remove(key);
}

int ParameterLocator::lookupParameterPosition(const QModelIndex& index, int x)
{
    QString key = this->key(index);

    if (!m_parameterPositions.contains(key)) {
        return -1;
    }

    QVectorIterator<int> i(m_parameterPositions[key]);
    int pos = -1;
    while (i.hasNext()) {
        pos++;
        int value = i.next();
        if (value >= x) {
            return pos;
        }
    }

    return pos;

}

QString ParameterLocator::key(const QModelIndex& index)
{
    QString key("%1-%2");
    return key.arg(index.row()).arg(index.column());
}

ParameterLocator* ParameterLocator::m_instance = 0;


