#ifndef PARAMETER_LOCATOR_H
#define PARAMETER_LOCATOR_H

#include <QHash>
#include <QString>
#include <QVector>
#include <QModelIndex>


class ParameterLocator
{
    public:
        static ParameterLocator* instance();
        void addPaintedParameter(const QModelIndex& index, int x);
        void clearPaintedParameters(const QModelIndex& index);
        int lookupParameterPosition(const QModelIndex& index, int x);

    private:
        QString key(const QModelIndex& index);

    private:
       static  ParameterLocator* m_instance;

        QHash<QString, QVector<int> > m_parameterPositions;
};

#endif
