/*  This file is part of the KDE project
    Copyright (C) 2007 Isaac Clerencia <isaac@warp.es>
    Copyright (C) 2007 Javier Uruen <juruen@warp.es>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef PARSER_H
#define PARSER_H

#include "systemcallmodel.h"

#include <QStringList>
#include <QObject>



class Parser : public QObject
{
    Q_OBJECT

    public:
        Parser(const QStringList &straceArgs, SystemCallModel* model);
        ~Parser();

    public slots:
        void parseLines(const QStringList &lines);
    
    private:
        void addSysCallToModel(const SysCallInfo sysCall);

    private:
        void parseLine(const QString &line);
        SystemCallModel* m_sysCallModel;
        QRegExp *m_rx;

};

#endif
