/*  This file is part of the KDE project
    Copyright (C) 2007 Isaac Clerencia <isaac@warp.es>
    Copyright (C) 2007 Javier Uruen <juruen@warp.es>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef SYSCALLINFO_H
#define SYSCALLINFO_H

#include <QString>
#include <QStringList>

#include "paintableitems.h"

class SysCallInfo
{
    public:
        SysCallInfo(QStringList parts);

        QString line() const;
        QString name() const;
        QStringList parameters() const;
        QString returnValue() const;
        QString errno() const;
        double elapsedTime() const;
        double time() const;

	PaintableItems &parametersInfo();
	PaintableItems &returnInfo();

	const PaintableItems &parametersInfo() const;
	const PaintableItems &returnInfo() const;

        void setDefaultItems();

    private:
        QString m_line;
        QString m_name;
        QStringList m_parameters;
        QString m_returnValue;
        QString m_errno;
        double m_elapsedTime;
        double m_time;

	PaintableItems m_parametersInfo;
	PaintableItems m_returnInfo;
};

#endif

