/*
This code was created by Ian Ventura-Whiting (Fizz) - fizz@titania.co.uk

ODBC Statistics (for QT 4)
Copyright (C) 2006 Ian Ventura-Whiting

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/


#ifndef MAINDIALOG_H
#define MAINDIALOG_H

#include <QDialog>

#define MAXPROCESSES 64
#define MAXHANDLES 4

class QPushButton;
class QLabel;
class QGridLayout;
class QTabWidget;
class QWidget;
class QSpacerItem;
class QProgressBar;
class QTableWidget;
class QSpinBox;
class QTimer;


class MainDialog : public QDialog
{
	Q_OBJECT

	public:
		// Constructor / Destructor
		MainDialog(QDialog *parent = 0);
		~MainDialog();
		
	private slots:
		// Slots...
		void about();			// About Dialog
		void load();			// Refresh Stats
		void updateTimer(int newInterval);		// Update interval timer

	private:
		// Misc...
		void clearDetailRow(int row);

		// Variables...
		bool procExists;
		void *statsHandle;

		// Widgets...
		QGridLayout *gridLayout;
		QTabWidget *statsTabs;
		QLabel *label;
		QSpinBox *intervalSpin;
		QSpacerItem *spacer;
		QPushButton *aboutButton;
		QPushButton *closeButton;
		QWidget *tabWidget;
		QProgressBar *envProgress;
		QLabel *envLabel;
		QProgressBar *staProgress;
		QLabel *staLabel;
		QProgressBar *desProgress;
		QLabel *desLabel;
		QProgressBar *conProgress;
		QLabel *conLabel;
		QTableWidget *detailTable;

		// Misc
		QTimer *refreshTimer;
};

#endif
