# - Try to find the akabei core library
# Once done this will define
#
#  AKABEICLIENT_FOUND - system has akabei core
#  AKABEICLIENT_INCLUDE_DIR - the akabei core include directory
#  AKABEICLIENT_LIBRARIES - Link these to use akabei core

# Copyright (c) 2007 Joris Guisson <joris.guisson@gmail.com> (This was based upon FindKTorrent.cmake)
# Copyright (c) 2007 Charles Connell <charles@connells.org> (This was based upon FindKopete.cmake)
# Copyright (c) 2010 Lukas Appelhans <l.appelhans@gmx.de>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

if(AKABEICLIENT_INCLUDE_DIR AND AKABEICLIENT_LIBRARIES)

  # read from cache
  set(AKABEICLIENT_FOUND TRUE)

else(AKABEICLIENT_INCLUDE_DIR AND AKABEICLIENT_LIBRARIES)

  FIND_PATH(AKABEICLIENT_INCLUDE_DIR 
    NAMES
    akabeiclientbackend.h
    PATHS
    ${INCLUDE_INSTALL_DIR}
    PATH_SUFFIXES
    akabeiclient
    )
  
  FIND_LIBRARY(AKABEICLIENT_LIBRARIES 
    NAMES
    akabeiclient
    PATHS
    ${LIB_INSTALL_DIR}
    )
  if(AKABEICLIENT_INCLUDE_DIR AND AKABEICLIENT_LIBRARIES)
    set(AKABEICLIENT_FOUND TRUE)
  endif(AKABEICLIENT_INCLUDE_DIR AND AKABEICLIENT_LIBRARIES)

  if(AKABEICLIENT_FOUND)
    if(NOT AKABEICLIENT_FIND_QUIETLY)
      message(STATUS "Found akabei client: ${AKABEICLIENT_LIBRARIES} ")
    endif(NOT AKABEICLIENT_FIND_QUIETLY)
  else(AKABEICLIENT_FOUND)
    if(AKABEICLIENT_FIND_REQUIRED)
      if(NOT AKABEICLIENT_INCLUDE_DIR)
	message(FATAL_ERROR "Could not find akabei client includes.")
      endif(NOT AKABEICLIENT_INCLUDE_DIR)
      if(NOT AKABEICLIENT_LIBRARIES)
	message(FATAL_ERROR "Could not find akabei client library.")
      endif(NOT AKABEICLIENT_LIBRARIES)
    else(AKABEICLIENT_FIND_REQUIRED)
      if(NOT AKABEICLIENT_INCLUDE_DIR)
        message(STATUS "Could not find akabei client includes.")
      endif(NOT AKABEICLIENT_INCLUDE_DIR)
      if(NOT AKABEICLIENT_LIBRARIES)
        message(STATUS "Could not find akabei client library.")
      endif(NOT AKABEICLIENT_LIBRARIES)
    endif(AKABEICLIENT_FIND_REQUIRED)
  endif(AKABEICLIENT_FOUND)

endif(AKABEICLIENT_INCLUDE_DIR AND AKABEICLIENT_LIBRARIES)
