/* This file is part of the KDE project

   Copyright (C) 2009 Dario Freddi <drf@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#include "HooksEventLoop_p.h"

namespace Shaman {

HooksEventLoop::HooksEventLoop(CorePlugin::Hook hook, QObject* parent)
        : QEventLoop(parent)
        , m_hook(hook)
{

}

HooksEventLoop::~HooksEventLoop()
{

}

void HooksEventLoop::hookCompleted(CorePlugin::Hook hook, CorePlugin::HookResult result)
{
    if (hook == m_hook) {
        m_result = result;
        quit();
    }
}

CorePlugin::HookResult HooksEventLoop::result() const
{
    return m_result;
}

}

#include "HooksEventLoop_p.moc"
