/* This file is part of the KDE project

   Copyright (C) 2009 Dario Freddi <drf@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#ifndef HOOKSEVENTLOOP_P_H
#define HOOKSEVENTLOOP_P_H

#include <QEventLoop>
#include "shamancoreplugin.h"

namespace Shaman {

class HooksEventLoop : public QEventLoop
{
    Q_OBJECT
    public:
        explicit HooksEventLoop(CorePlugin::Hook hook, QObject* parent = 0);
        virtual ~HooksEventLoop();
        
        CorePlugin::HookResult result() const;
        
    public Q_SLOTS:
        void hookCompleted(CorePlugin::Hook hook, CorePlugin::HookResult result);
        
    private:
        CorePlugin::HookResult m_result;
        CorePlugin::Hook m_hook;
};

}

#endif // HOOKSEVENTLOOP_H
