/* This file is part of the KDE project

   Copyright © 2010 David Palacio <dpalacio@uninorte.edu.co>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#ifndef DEBPACKAGE_H
#define DEBPACKAGE_H

#include <apt-pkg/pkgcache.h>

#include <shamanbackendpackage.h>

class DebPackage : public Shaman::BackendPackage
{
    public:
        DebPackage(Shaman::BackendInterface* parent, const QString &name,
                   const pkgCache::VerIterator &package,
                   const pkgCache::VerIterator &cndVer);
        virtual ~DebPackage();
        virtual void cacheValue(Shaman::BackendPackage::CachedValue value);
        void setIsCandidate(bool is);
        bool isCandidate() const;
        pkgCache::VerIterator version;
    private:
        bool mIsCandidate;
};

#endif // DEBPACKAGE_H
