/* This file is part of the KDE project

   Copyright © 2010 David Palacio <dpalacio@uninorte.edu.co>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#ifndef HELPER_H
#define HELPER_H

#include <kauth.h>
#include <kauthactionreply.h>

#include <QtCore/QObject>

class OperationProgress;

using namespace KAuth;

class AptHelper : public QObject
{
    Q_OBJECT
    Q_CLASSINFO("D-Bus Interface", "org.kde.shaman.data")
    public:
        AptHelper();

    public slots:
        void init();
        //helper commands
        ActionReply update(QVariantMap args);
        ActionReply process(QVariantMap args);
        ActionReply distupgrade(QVariantMap args);

        Q_SCRIPTABLE void mediachanged(bool reply);
        Q_SCRIPTABLE void debconfreply(QVariantMap args);
        Q_SCRIPTABLE void stopupdate();
        Q_SCRIPTABLE void stopprocess();
        
        //internal progress handlers
        void operationReport(OperationProgress *op);
    
    signals:
        void stopUpdate();
        void stopProcess();
        void mediaChangeReply(bool);
        Q_SCRIPTABLE void mediaChangeRequest(const QString &media, const QString &drive);

    private:
        ActionReply initError() const;
        bool initOk;
};

#endif

