/* This file is part of the KDE project

   Copyright © 2010 David Palacio <dpalacio@uninorte.edu.co>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#include "HelperAcquire.h"

#include <string>
#include <iostream>

#include <kdebug.h>

#include <QtCore/QEventLoop>
#include <QtCore/QCoreApplication>

HelperAcquire::HelperAcquire() : mShouldContinue(true), mMediaBlock(0)
{
  
}

void HelperAcquire::Fetched(unsigned long Size,unsigned long ResumePoint)
{
  
}

bool HelperAcquire::MediaChange(string media,string drive)
{
    //kdDebug() << "ups media change";
    emit mediaChangeRequest(
        QString::fromUtf8(media.c_str()),
        QString::fromUtf8(drive.c_str())
    );
    mMediaBlock = new QEventLoop();
    kdDebug() << "Block waiting for media change reply";
    bool change = (bool)mMediaBlock->exec();
    kdDebug() << "Block finished with:" << change;
    delete mMediaBlock;
    mMediaBlock = 0;
    return change;
}

void HelperAcquire::IMSHit(pkgAcquire::ItemDesc &item)
{
  
}

void HelperAcquire::Fetch(pkgAcquire::ItemDesc &item)
{
    //kdDebug() << "fetch:" << QString::fromStdString(item.URI);
}

void HelperAcquire::Done(pkgAcquire::ItemDesc &item)
{
  
}

void HelperAcquire::Fail(pkgAcquire::ItemDesc &item)
{
  
}

bool HelperAcquire::Pulse(pkgAcquire *owner)
{
    QCoreApplication::processEvents();
    return mShouldContinue;
}
  
void HelperAcquire::Start()
{
    mShouldContinue = true;
}

void HelperAcquire::Stop()
{
    emit stopped();
}

void HelperAcquire::stop()
{
    mShouldContinue = false;
}

void HelperAcquire::mediaChangeReply(bool reply)
{
    if(!mMediaBlock)
        return;
    mMediaBlock->exit( reply ? 1 : 0 );
}

// void HelperAcquire::report()
// {
//     
// }
