/* This file is part of the KDE project

   Copyright © 2010 David Palacio <dpalacio@uninorte.edu.co>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#ifndef HELPERACQUIRE_H
#define HELPERACQUIRE_H

#include <apt-pkg/acquire.h>

#include <QtCore/QObject>

class QEventLoop;

class HelperAcquire : public QObject, public pkgAcquireStatus
{
    Q_OBJECT
    
    public:
        HelperAcquire();
        
        //fetch finished
        void Fetched(unsigned long Size,unsigned long ResumePoint);
        //media change request, should block and return answer
        bool MediaChange(string Media,string Drive);
        //target file is up-to-date
        void IMSHit(pkgAcquire::ItemDesc &item);
        //data acquired
        void Fetch(pkgAcquire::ItemDesc &item);
        //reallyreally fetched ??!11
        void Done(pkgAcquire::ItemDesc &item);
        //FAIL item
        void Fail(pkgAcquire::ItemDesc &item);
        //periodically called, do stuff
        //prepare stuff with the above methods and send
        //report back on a batch?
        bool Pulse(pkgAcquire *owner);
        //invoked on process start
        void Start();
        //invoked on process stop
        void Stop();
        
        //virtual void report();
    public slots:
        void stop();
        void mediaChangeReply(bool reply);
        
    signals:
        void progress(int);
        void started();
        void stopped();
        void failure();
        void mediaChangeRequest(const QString &media, const QString &drive);
        
    private:
        bool mShouldContinue;
        QEventLoop *mMediaBlock;
};

#endif

