/* This file is part of the KDE project

   Copyright © 2010 David Palacio <dpalacio@uninorte.edu.co>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#include "OperationProgress.h"

#include <QtCore/QCoreApplication>
#include <kdebug.h>

OperationProgress::OperationProgress() : QObject(), OpProgress()
{
}

void OperationProgress::Update()
{
    if(!CheckChange(1.0))
        return;
    QCoreApplication::processEvents();
    emit updated(this);
}

void OperationProgress::Done()
{
    QCoreApplication::processEvents();
    emit finished(this);
}

QString OperationProgress::operation() const
{
    return QString::fromUtf8(Op.c_str());
}

QString OperationProgress::subOperation() const
{
    return QString::fromUtf8(SubOp.c_str());
}

float OperationProgress::percent() const
{
    return Percent;
}
