/* This file is part of the KDE project

   Copyright © 2010 David Palacio <dpalacio@uninorte.edu.co>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#ifndef OPERATIONPROGRESS_H
#define OPERATIONPROGRESS_H

#include <QtCore/QObject>

#include <apt-pkg/progress.h>
//#include <sys/time.h>

class OperationProgress : public QObject, public OpProgress
{
    Q_OBJECT
    public:
        OperationProgress();

        void Done(); //OpProgress

        QString operation() const;
        QString subOperation() const;
        float percent() const;

    protected:
        void Update(); //OpProgress

    signals:
        void updated(OperationProgress*);
        void finished(OperationProgress*);
};

#endif // OPERATIONPROGRESS_H
