/* This file is part of the KDE project

   Copyright (C) 2009 Dario Freddi <drf@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#ifndef AQPMICONS_H
#define AQPMICONS_H
#include <QIcon>
#include <KIcon>

namespace AqpmIcons {
    QIcon iconForDatabase(const QString &name) {
        if (name.startsWith("kdemod")) {
            return KIcon("repository", 0, QStringList() << "kde");
        } else if (name == "core") {
            return KIcon("repository", 0, QStringList() << "kernel");
        } else if (name == "extra") {
            return KIcon("repository", 0, QStringList() << "utilities-desktop-extra");
        } else if (name == "community") {
            return KIcon("repository", 0, QStringList() << "applications-other");
        }

        return KIcon("repository");
    }

    QIcon iconForGroup(const QString &name) {
        if (name == "kdemod-debug" || name == "kdemod-kdebase-debug" || name == "kdemod-kdebase-workspace-debug" ||
            name == "kdemod-kdelibs-debug") {
            return KIcon("shaman-kdemod", 0, QStringList() << "tools-report-bug");
        } else if (name == "kdemod-uninstall") {
            return KIcon("shaman-kdemod", 0, QStringList() << "trash-empty");
        } else if (name == "kdemod") {
            return KIcon("shaman-kdemod");
        } else if (name == "kdemod-complete") {
            return KIcon("shaman-kdemod");
        } else if (name == "kdemod-tools") {
            return KIcon("shaman-kdemod", 0, QStringList() << "chakra-shiny");
        } else if (name == "kdemod-minimal") {
            return KIcon("shaman-kdemod", 0, QStringList() << "computer");
        } else if (name == "kdemod-support") {
            return KIcon("shaman-kdemod", 0, QStringList() << "configure");
        } else if (name == "kdemod-l10n") {
            return KIcon("shaman-kdemod", 0, QStringList() << "applications-education-language");
        } else if (name == "kdemod-kdeaccessibility") {
            return KIcon("shaman-kdemod", 0, QStringList() << "preferences-desktop-accessibility");
        } else if (name == "kdemod-doc") {
            return KIcon("shaman-kdemod", 0, QStringList() << "documentation");
        } else if (name == "kdemod-kdeaccessibility-debug") {
            return KIcon("shaman-kdemod", 0, QStringList() << "preferences-desktop-accessibility" << "tools-report-bug");
        } else if (name == "kdemod-kdeadmin") {
            return KIcon("shaman-kdemod", 0, QStringList() << "preferences-system");
        } else if (name == "kdemod-kdeadmin-debug") {
            return KIcon("shaman-kdemod", 0, QStringList() << "preferences-system"  << "tools-report-bug");
        } else if (name == "kdemod-kdeartwork") {
            return KIcon("shaman-kdemod", 0, QStringList() << "color");
        } else if (name == "kdemod-kdeartwork-debug") {
            return KIcon("shaman-kdemod", 0, QStringList() << "color"  << "tools-report-bug");
        } else if (name == "kdemod-kdebindings") {
            return KIcon("shaman-kdemod", 0, QStringList() << "text-x-python");
        } else if (name == "kdemod-kdebindings-debug") {
            return KIcon("shaman-kdemod", 0, QStringList() << "text-x-python"  << "tools-report-bug");
        } else if (name == "kdemod-devel") {
            return KIcon("shaman-kdemod", 0, QStringList() << "applications-development");
        } else if (name == "kdemod-kdeedu") {
            return KIcon("shaman-kdemod", 0, QStringList() << "applications-education-mathematics");
        } else if (name == "kdemod-kdeedu-debug") {
            return KIcon("shaman-kdemod", 0, QStringList() << "applications-education-mathematics"  << "tools-report-bug");
        } else if (name == "kdemod-kdegames") {
            return KIcon("shaman-kdemod", 0, QStringList() << "applications-games");
        } else if (name == "kdemod-kdegames-debug") {
            return KIcon("shaman-kdemod", 0, QStringList() << "applications-games"  << "tools-report-bug");
        } else if (name == "kdemod-kdegraphics") {
            return KIcon("shaman-kdemod", 0, QStringList() << "applications-graphics");
        } else if (name == "kdemod-kdegraphics-debug") {
            return KIcon("shaman-kdemod", 0, QStringList() << "applications-graphics"  << "tools-report-bug");
        } else if (name == "kdemod-kdemultimedia") {
            return KIcon("shaman-kdemod", 0, QStringList() << "applications-multimedia");
        } else if (name == "kdemod-kdemultimedia-debug") {
            return KIcon("shaman-kdemod", 0, QStringList() << "applications-multimedia"  << "tools-report-bug");
        } else if (name == "kdemod-kdenetwork" || name == "kdemod-networkmanagement") {
            return KIcon("shaman-kdemod", 0, QStringList() << "network-workgroup");
        } else if (name == "kdemod-kdenetwork-debug" || name == "kdemod-networkmanagement-debug") {
            return KIcon("shaman-kdemod", 0, QStringList() << "network-workgroup"  << "tools-report-bug");
        } else if (name == "kdemod-kdepim") {
            return KIcon("shaman-kdemod", 0, QStringList() << "email");
        } else if (name == "kdemod-kdepim-debug") {
            return KIcon("shaman-kdemod", 0, QStringList() << "email"  << "tools-report-bug");
        } else if (name == "kdemod-kdesdk") {
            return KIcon("shaman-kdemod", 0, QStringList() << "applications-development");
        } else if (name == "kdemod-kdesdk-debug") {
            return KIcon("shaman-kdemod", 0, QStringList() << "applications-development"  << "tools-report-bug");
        } else if (name == "kdemod-kdetoys" || name.startsWith("kdemod-playground")) {
            return KIcon("shaman-kdemod", 0, QStringList() << "applications-toys");
        } else if (name == "kdemod-kdetoys-debug") {
            return KIcon("shaman-kdemod", 0, QStringList() << "applications-toys"  << "tools-report-bug");
        } else if (name == "kdemod-kdeutils") {
            return KIcon("shaman-kdemod", 0, QStringList() << "applications-utilities");
        } else if (name == "kdemod-kdeutils-debug") {
            return KIcon("shaman-kdemod", 0, QStringList() << "applications-utilities"  << "tools-report-bug");
        } else if (name == "kdemod-kdewebdev") {
            return KIcon("shaman-kdemod", 0, QStringList() << "applications-development-web");
        } else if (name == "kdemod-kdewebdev-debug") {
            return KIcon("shaman-kdemod", 0, QStringList() << "applications-development-web"  << "tools-report-bug");
        } else if (name.startsWith("kdemod-themes") || name == "kdemod-kstyles" || name == "kdemod-windecs") {
            return KIcon("shaman-kdemod", 0, QStringList() << "preferences-desktop-theme");
        } else if (name == "kdemod-extragear") {
            return KIcon("shaman-kdemod", 0, QStringList() << "utilities-desktop-extra");
        } else if (name == "kdemod-extragear-koffice") {
            return KIcon("shaman-kdemod", 0, QStringList() << "applications-office");
        } else if (name == "kdemod-plasmoids") {
            return KIcon("shaman-kdemod", 0, QStringList() << "plasma");
        } else if (name == "kdemod-taskhandlers") {
            return KIcon("shaman-kdemod", 0, QStringList() << "preferences-system-windows");
        }

        return QIcon();
    }
}

#endif
