/* This file is part of the KDE project

   Copyright (C) 2009 Dario Freddi <drf@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#ifndef KDEMODDISTUPGRADE_H
#define KDEMODDISTUPGRADE_H

#include <shamandistupgrade.h>

class KdemodDistUpgrade : public Shaman::DistUpgrade
{
    public:
        KdemodDistUpgrade(QObject *parent);
        virtual ~KdemodDistUpgrade();

        virtual void questionAnswered(Shaman::TransactionQuestion* question);
        virtual void start(QWidget* setupResult = 0);
        void packageProgress(const QString &package, qint64 done, qint64 total);
        void packageProgress(const QString &package, int percent, int howmany, int remain);

    public slots:
        void slotOperationFinished(bool);
        void streamTotalDownloadSize(qint64);

    private:
        Shaman::AbstractPackage::List m_kdemodPackages;
        QStringList m_installPackages;
        qint64 m_totalDlSize;
        QHash<QString, qint64> m_packageDownload;
        qreal m_packageWeight;
        qint64 m_downloaded;
        QStringList m_packagesDone;

        friend class AqpmPlugin;
};

#endif // KDEMODDISTUPGRADE_H
