/***************************************************************************
 *   Copyright (C) 2009 by Dario Freddi                                    *
 *   drf@chakra-project.org                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.          *
 ***************************************************************************/

#ifndef DATABASECONFIG_H
#define DATABASECONFIG_H

#include <QVariantList>

namespace Ui {
    class DatabaseConfig;
}

#include <kcmodule.h>
#include <QStyledItemDelegate>

class ThirdPartyItemDelegate : public QStyledItemDelegate
{
    Q_OBJECT
    public:
        ThirdPartyItemDelegate(QObject * parent = 0);
        ~ThirdPartyItemDelegate();

        virtual void paint(QPainter * painter, const QStyleOptionViewItem & option, const QModelIndex & index) const;

        virtual QSize sizeHint(const QStyleOptionViewItem & option, const QModelIndex & index) const;
};

class DatabaseConfig : public KCModule
{
    Q_OBJECT

public:
    DatabaseConfig(QWidget *parent, const QVariantList &args);

    void load();
    void save();
    void defaults();

private:
    void init();

private Q_SLOTS:
    void updateDatabaseList();
    void addThirdPartyRepo();
    void changeArchMirrors();
    void changeKdemodMirrors();

private:
    Ui::DatabaseConfig *m_ui;
};

#endif // DATABASECONFIG_H
