/***************************************************************************
 *   Copyright (C) 2009 by Dario Freddi                                    *
 *   drf@chakra-project.org                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.          *
 ***************************************************************************/

#ifndef EDITMIRRORSDIALOG_H
#define EDITMIRRORSDIALOG_H

#include <KDialog>
#include <aqpm/Configuration.h>

namespace Ui {
    class EditMirrors;
}

#include <QStyledItemDelegate>

class MirrorsDelegate : public QStyledItemDelegate
{
    Q_OBJECT
    public:
        MirrorsDelegate(QObject * parent = 0);
        ~MirrorsDelegate();

        virtual void paint(QPainter * painter, const QStyleOptionViewItem & option, const QModelIndex & index) const;

        virtual QSize sizeHint(const QStyleOptionViewItem & option, const QModelIndex & index) const;
};


class EditMirrorsDialog : public KDialog
{
    Q_OBJECT
    public:
        explicit EditMirrorsDialog(Aqpm::Configuration::MirrorType mirrorType, QWidget* parent = 0);
        virtual ~EditMirrorsDialog();

    public slots:
        void slotAccepted();

    private:
        Aqpm::Configuration::MirrorType m_mirrorType;
        Ui::EditMirrors *m_ui;
};

#endif // EDITMIRRORSDIALOG_H
