/* This file is part of the KDE project

   Copyright (C) 2009 Dario Freddi <drf@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#ifndef FAKEBACKEND_H
#define FAKEBACKEND_H

#include <shamanbackendinterface.h>
#include <shamanbackendpackage.h>


class FakeBackend : public Shaman::BackendInterface
{
    Q_OBJECT
    Q_INTERFACES(Shaman::BackendInterface)

    public:
        FakeBackend();
        virtual ~FakeBackend();
protected:
    virtual void transactionQuestionAnswered(Shaman::TransactionQuestion* question);
    virtual void init();

public slots:
    virtual bool aboutToChangeState(Shaman::Backend::State oldstate, Shaman::Backend::State newstate);
    virtual bool cancelQueueProcessing();
    virtual void processQueue(const Shaman::AbstractPackage::List& packages, const Shaman::ProcessQueueOption::List& options);
    virtual bool cancelRepositoriesUpdate();
    virtual void updateRepositories();
    virtual void reload();
    virtual void markAdditionalTargetsForQueue(const Shaman::ProcessQueueOption::List &options);
};

#endif // FAKEBACKEND_H
