/* This file is part of the KDE project

   Copyright (C) 2008 Lukas Appelhans <l.appelhans@gmx.de>
   Copyright (C) 2009 Dario Freddi <drf@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#ifndef PKPACKAGE_H
#define PKPACKAGE_H

#include <shamanbackendpackage.h>

#include <PackageKit/packagekit-qt/package.h>

using namespace Shaman;

class PKPlugin;

namespace PackageKit
{
    class Package;
}

class PKPackage : public BackendPackage
{
    public:
        PKPackage(PackageKit::Package * package, PKPlugin * parent);
        ~PKPackage();

        PackageKit::Package * package();

    protected:
        virtual void cacheValue(AbstractPackage::CachedValue value);
        void slotDetails();

    private:
        PackageKit::Package * m_package;
        QStringList m_files;
        QList<PackageKit::Package *> m_currentList;

        friend class PKPlugin;
        friend class PKPackageListener;
};

#endif
