/* This file is part of the KDE project

   Copyright (C) 2009 Dario Freddi <drf@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#ifndef PKPACKAGELISTENER_H
#define PKPACKAGELISTENER_H

#include <QObject>
#include <PackageKit/packagekit-qt/package.h>

class PKPlugin;
class PKPackage;

class PKPackageListener : public QObject
{
    Q_OBJECT
    public:
        static PKPackageListener *instance();
        ~PKPackageListener();

        void retrieveFiles(PKPackage *package);
        void retrieveDetails(PKPackage *package);
        void retrieveRequiredBy(PKPackage *package);
        void retrieveDependencies(PKPackage *package);
        void setPlugin(PKPlugin *plugin);

    private Q_SLOTS:
        void files(PackageKit::Package*,const QStringList&);
        void newPackage(PackageKit::Package *p);
        void slotDetails();
        void slotRequiredBy();
        void slotDependsOn();

    private:
        PKPackageListener(QObject* parent = 0);
        QHash<QObject*, PKPackage*> m_transactionToPackage;
        QHash<QObject*, QList<PackageKit::Package *> > m_transactionToList;
        PKPlugin *m_plugin;
};

#endif // PKPACKAGELISTENER_H
