/* This file is part of the KDE project

   Copyright (C) 2008 - 2010 Dario Freddi <drf@kde.org>
                 2008 Lukas Appelhans <l.appelhans@gmx.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#ifndef SHAMANPLUGINLOADER_P_H
#define SHAMANPLUGINLOADER_P_H

#include <KService>
#include <QList>
#include "shamanbase.h"
#include "shamancoreplugin.h"

class KPluginInfo;

namespace Shaman {

class AbstractPluginLoader;

class Provider;
class CorePlugin;
class AbstractPlugin;
class Backend;
class ProviderPlugin;

class PluginLoader : public QObject
{
    Q_OBJECT
    public:
        explicit PluginLoader(KSharedConfig::Ptr config, QObject * parent = 0);
        virtual ~PluginLoader();

        void registerPluginLoader(AbstractPluginLoader *loader);

        void loadPlugins();

        QList< Provider* > providers() const;

        QHash<CorePlugin*, const char*> hooksFor(CorePlugin::Hook hook);
        KConfigGroup configGroupFor(const QString &interface) const;

    signals:
        void backendPluginCreated(Shaman::Backend *backend);
        void pluginCreated(Shaman::AbstractPlugin *plugin);
        void pluginsLoaded();

    private:
        class Private;
        Private * const d;
};
}

#endif /*SHAMANPLUGINLOADER_H*/
