/*
    <one line to give the program's name and a brief idea of what it does.>
    Copyright (C) <year>  <name of author>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#include "ProviderPluginLoader_p.h"
#include <KDebug>
#include <shamanproviderplugin.h>

namespace Shaman {

ProviderPluginLoader::ProviderPluginLoader()
    : AbstractPluginLoader()
{
    setPluginType("Provider");
}

ProviderPluginLoader::~ProviderPluginLoader()
{

}

Shaman::AbstractPlugin* ProviderPluginLoader::loadInstance(KService::Ptr offer, QObject* parent)
{
    //try to load the specified library
    KPluginFactory *factory = KPluginLoader(offer->library()).factory();

    if (!factory)
    {
        kError(5001) << "KPluginFactory could not load the plugin:" << offer->library();
        return 0;
    }

    ProviderPlugin * plugin = factory->create< ProviderPlugin >(parent);

    if ( !plugin ) {
        // Troubles...
        kWarning() << "failed to load" << offer->desktopEntryName();
        return 0;
    }

    // Create a provider out of it BEFORE initializing it
    Provider *provider = new Provider(plugin, parent);

    return plugin;
}

}
