/* This file is part of the KDE project

   Copyright (C) 2008 - 2009 Lukas Appelhans <l.appelhans@gmx.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#include "CreationHandler.h"

#include "ScriptPackage.h"
#include "ScriptRepository.h"
#include "ScriptGroup.h"

#include <shamanbackendinterface.h>

CreationHandler::CreationHandler(Shaman::BackendInterface * parent)
  : QObject(parent)
{
}

CreationHandler::~CreationHandler()
{
}

QObject * CreationHandler::createPackage(const QString &name, Kross::Object::Ptr obj)
{
    ScriptPackage * package = new ScriptPackage(name, obj, qobject_cast<Shaman::BackendInterface*>(parent()));
    if (obj->methodNames().contains("setPackageClass")) {
        QVariant packageVariant;
        packageVariant.setValue(qobject_cast<QObject*>(package));
        obj->callMethod("setPackageClass", QVariantList() << packageVariant);
    }
    return package;
}

QObject * CreationHandler::createPackageGroup(const QString &name)
{
    return new ScriptGroup(name, this);
}

QObject * CreationHandler::createRepository(const QString &name, const QString &url)
{
    return new ScriptRepository(name, KUrl(url), this);
}
