/* This file is part of the KDE project

   Copyright (C) 2008 - 2009 Lukas Appelhans <l.appelhans@gmx.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#ifndef CREATIONHANDLER_H
#define CREATIONHANDLER_H

#include <QObject>

#include <kross/core/object.h>

namespace Shaman {
    class BackendInterface;
    class BackendPackage;
    class PackageGroup;
    class Repository;
}

class CreationHandler : public QObject
{
    Q_OBJECT
    public:
        CreationHandler(Shaman::BackendInterface * parent);
        ~CreationHandler();

    public slots:
        QObject * createPackage(const QString &name, Kross::Object::Ptr obj);
        QObject * createPackageGroup(const QString &name);
        QObject * createRepository(const QString &name, const QString &url);
};

#endif
