/* This file is part of the KDE project

   Copyright (C) 2009 Lukas Appelhans <l.appelhans@gmx.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#ifndef SCRIPTBACKENDINTERFACE_H
#define SCRIPTBACKENDINTERFACE_H

#include "shamanbackendinterface.h"
#include "shamanbackendpackage.h"

#include <QVariantList>

#include <kross/core/object.h>

class ScriptBackend : public Shaman::BackendInterface
{
    Q_OBJECT
    friend class BackendWrapper;
    public:
        ScriptBackend(QObject * parent, const QVariantList &);
        virtual ~ScriptBackend();

        void loadScript(const QString &script);

    public slots:
        void setBackendClass(Kross::Object::Ptr obj);
        
        virtual void init();

        virtual void reload();

        virtual void markAdditionalTargetsForQueue(const Shaman::ProcessQueueOption::List &options);
        
        virtual void updateRepositories();

        virtual bool cancelRepositoriesUpdate();

        virtual void processQueue(const Shaman::AbstractPackage::List & packages, const Shaman::ProcessQueueOption::List &options);
        
        virtual void transactionQuestionAnswered(Shaman::TransactionQuestion *question);

        virtual bool cancelQueueProcessing();
        
        virtual void partialReload(const Shaman::BackendPackage::List &packages);
        
        virtual void searchPackages(const QString &query, Shaman::Backend::SearchType type);

    private:
        class Private;
        Private * d;
};

#endif
