/* This file is part of the KDE project

   Copyright (C) 2008 Wang Kai <fearee@gmail.com>
   Copyright (C) 2008 - 2009 Lukas Appelhans <l.appelhans@gmx.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#include "ScriptPackage.h"

#include <shamanbackendinterface.h>

#include <KDebug>

class ScriptPackage::Private {
    public:
        Private()
          : wrapper(0),
            backend(0)
        {}
        ~Private() {}

        Kross::Object::Ptr wrapper;
        Shaman::BackendInterface *backend;
};

ScriptPackage::ScriptPackage(const QString &name, Kross::Object::Ptr pointer, Shaman::BackendInterface *parent)
  : Shaman::BackendPackage(name, parent),
    d(new Private())
{
    d->wrapper = pointer;//TODO: Use private parameters
    d->backend = parent;
}

ScriptPackage::ScriptPackage(const QString &name, const QString &description, const QString &version,
                          const State &state, Kross::Object::Ptr pointer, Shaman::BackendInterface *parent)
  : Shaman::BackendPackage(name, description, version, state, parent),
    d(new Private())
{
    d->wrapper = pointer;
}

ScriptPackage::~ScriptPackage()
{
    delete d;
}

void ScriptPackage::cacheValue(Shaman::BackendPackage::CachedValue value)
{
    d->wrapper->callMethod("cacheValue", QVariantList() << QVariant(value));
}
