/* This file is part of the KDE project

   Copyright (C) 2008 Wang Kai <fearee@gmail.com>
   Copyright (C) 2008 Lukas Appelhans <l.appelhans@gmx.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#ifndef SCRIPTPACKAGE_H
#define SCRIPTPACKAGE_H

#include <shamanbackendpackage.h>
#include <shamanmacros.h>

#include <kross/core/object.h>

namespace Shaman {
    class BackendInterface;
}

class SHAMAN_EXPORT ScriptPackage : public Shaman::BackendPackage
{
    Q_OBJECT
    public:
        ScriptPackage(const QString &name, Kross::Object::Ptr pointer, Shaman::BackendInterface *parent);
        ScriptPackage(const QString &name, const QString &description, const QString &version,
                     const State &state, Kross::Object::Ptr pointer, Shaman::BackendInterface *parent);
        ~ScriptPackage();
        
    public Q_SLOTS:
        virtual void cacheValue(CachedValue value);

    private:
        class Private;
        Private *d;
};

Q_DECLARE_METATYPE(ScriptPackage*)

#endif
