/* This file is part of the KDE project

   Copyright (C) 2009 Lukas Appelhans <l.appelhans@gmx.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#ifndef SCRIPTREPOSITORY_H
#define SCRIPTREPOSITORY_H

#include <shamanrepository.h>

/**
 * As Kross doesn't support multiple inheritance we have to reimplement some QList methods here.
 */
class ScriptRepository : public Shaman::Repository
{
    Q_OBJECT
    public:
        ScriptRepository(const QString &name, const KUrl &url, QObject *parent);
        ~ScriptRepository();
        
    public slots:
        void append(QObject * package);
        QObject * at(int i);
        int indexOf(QObject * package);
        void insert(int i, QObject * package);
        int count();
        int removeAll(QObject * package);
        void removeAt(int i);
};

#endif
