/* This file is part of the KDE project

   Copyright (C) 2008 Dario Freddi <drf@kde.org>
                 2008 Lukas Appelhans <l.appelhans@gmx.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#ifndef SHAMANABSTRACTPACKAGE_P_H
#define SHAMANABSTRACTPACKAGE_P_H

#include "shamanabstractpackage.h"

#define EMIT_VALUE_CACHED(a) foreach(PackageWatcher *watcher, d->watchers) { emit watcher->valueCached(a); } \
                             emit GlobalPackageWatcher::instance()->valueCached(this, a);

#include <QIcon>

namespace Shaman {

class PackageWatcher;
class AbstractPackagePrivate
{
    public:
        AbstractPackagePrivate(AbstractPackage::Type t)
          : type(t)
          , state(AbstractPackage::NotInstalled)
          , action(AbstractPackage::NoAction)
          , updateType(AbstractPackage::StandardUpdate)
        {
        }
        virtual ~AbstractPackagePrivate()
        {}

        AbstractPackage::Type type;
        QString name;
        QIcon icon;
        QString description;
        QString version;
        QString availableVersion;
        KIO::filesize_t size;
        QString maintainer;
        QString changelog;
        KUrl homepage;
        QString license;
        AbstractPackage::State state;
        AbstractPackage::Action action;
        AbstractPackage::List providers;
        AbstractPackage::List dependencies;
        AbstractPackage::List dependenciesOnPackage;
        AbstractPackage::List conflicts;
        QStringList fileList;
        AbstractPackage::CachedValues values;
        AbstractPackage::UpdateType updateType;
        QHash<QString, WidgetFactory*> customValues;
        AbstractPackage::Properties properties;
        QList<MetaPackage*> metapackages;
        QList<PackageWatcher*> watchers;
};
}

#endif
