/* This file is part of the KDE project

   Copyright (C) 2008 Dario Freddi <drf@kde.org>
                 2008 Lukas Appelhans <l.appelhans@gmx.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#include "shamanabstractplugin_p.h"

#include "shamanbase.h"

#include <KSharedConfig>
#include <KDebug>

namespace Shaman{

AbstractPlugin::AbstractPlugin(QObject * parent)
  : QObject(parent),
    d_ptr(new AbstractPluginPrivate())
{
    connect(Base::instance(), SIGNAL(configChanged()), SIGNAL(configChanged()));
}

AbstractPlugin::AbstractPlugin(AbstractPluginPrivate& dd, QObject* parent)
    : QObject(parent)
    , d_ptr(&dd)
{
    connect(Base::instance(), SIGNAL(configChanged()), SIGNAL(configChanged()));
}

AbstractPlugin::~AbstractPlugin()
{
    delete d_ptr;
}

KConfigGroup AbstractPlugin::config() const
{
    Q_D(const AbstractPlugin);
    return KConfigGroup(qobject_cast<Base*>(parent())->configurationFile(), d->pluginName);
}

void AbstractPluginPrivate::setPluginName(const QString &name)
{
    pluginName = name;
}

QString AbstractPlugin::name() const
{
    Q_D(const AbstractPlugin);
    return d->pluginName;
}

}

#include "shamanabstractplugin.moc"
