/* This file is part of the KDE project

   Copyright (C) 2010 Dario Freddi <drf@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#ifndef SHAMANABSTRACTPLUGINLOADER_H
#define SHAMANABSTRACTPLUGINLOADER_H

#include <KService>

#include <shamanmacros.h>

namespace Shaman {

class AbstractPlugin;

class SHAMAN_EXPORT AbstractPluginLoader
{
    public:
        AbstractPluginLoader();
        virtual ~AbstractPluginLoader();

        QString pluginType() const;
        virtual AbstractPlugin *loadInstance(KService::Ptr offer, QObject *parent) = 0;

    protected:
        void setPluginType(const QString &type);

    private:
        class Private;
        Private * const d;
};

}

#endif // SHAMANABSTRACTPLUGINLOADER_H
