/* This file is part of the KDE project

   Copyright (C) 2008 Dario Freddi <drf@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#ifndef BACKENDINTERFACE_P
#define BACKENDINTERFACE_P

#include "shamanbackendinterface.h"

namespace Shaman {

class ManualProgressReporter::Private
{
    public:
        Private(Backend *parent) : q(parent) {}
        ~Private() {}

        Backend *q;
};

class BackendInterface::Private
{
    public:
        Private() : lastToken(0) {}
        ~Private() {}

        Q_DECLARE_PUBLIC(BackendInterface)
        BackendInterface *q_ptr;

        int generateNewQuestionToken();

        Backend *backend;
        int lastToken;
        QPointer<ManualProgressReporter> manualProgressReporter;
};

}

#endif
