/* This file is part of the KDE project

   Copyright (C) 2008 Dario Freddi <drf@kde.org>
                 2008 Lukas Appelhans <l.appelhans@gmx.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#ifndef SHAMANBACKENDPACKAGE_P_H
#define SHAMANBACKENDPACKAGE_P_H

#include "shamanbackendpackage.h"
#include "shamanabstractpackage_p.h"

namespace Shaman {

class BackendPackagePrivate : public AbstractPackagePrivate
{
    public:
        BackendPackagePrivate(const QString &n)
          : AbstractPackagePrivate(Shaman::AbstractPackage::BackendPackageType)
        {
            name = n;
        }
        BackendPackagePrivate(const QString &n, const QString &d, const QString &v, const AbstractPackage::State &s)
          : AbstractPackagePrivate(Shaman::AbstractPackage::BackendPackageType)
        {
            name = n;
            description = d;
            version = v;
            state = s;
        }
        virtual ~BackendPackagePrivate()
        {}

        KIO::filesize_t downloadSize;
};

}

#endif
