/* This file is part of the KDE project

   Copyright (C) 2008 Dario Freddi <drf@kde.org>
                 2008 Lukas Appelhans <l.appelhans@gmx.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#ifndef BASE_P
#define BASE_P

#include "shamanbase.h"

#include "shamancoreinterface.h"
#include "shamanbackend.h"
#include "shamanprovider.h"

namespace Shaman {
class PluginLoader;

class BasePrivate
{
    public:
        BasePrivate()
          : pluginLoader(0),
            coreInterface(0),
            config(KGlobal::config())
        {}
        ~BasePrivate()
        {}

        Q_DECLARE_PUBLIC(Base)
        Base *q_ptr;

        PluginLoader * pluginLoader;
        CoreInterface * coreInterface;
        KSharedConfig::Ptr config;
        QStringList plugins;
        Base::OperationMode mode;

        void __k__slotBackendCreated(Backend *backend);
        void __k__slotProviderCreated(Provider *provider);
        void __k__slotSetProviderPlugins();
        void __k__initCompleted();
};
}

#endif
