/* This file is part of the KDE project

   Copyright (C) 2009 Dario Freddi <drf@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#ifndef COREINTERFACE_P
#define COREINTERFACE_P

#include "shamancoreinterface.h"

namespace Shaman {

class CoreInterfacePrivate : public QObject
{
    Q_OBJECT
    Q_DECLARE_PUBLIC(CoreInterface)

    CoreInterface * const q_ptr;

    public:
        CoreInterfacePrivate(CoreInterface *parent)
          : QObject(parent)
          , q_ptr(parent)
          , backend(0)
          , currentPackage(0)
        {}
        virtual ~CoreInterfacePrivate()
        {}

        MetaPackage *metaPackage(const QString &name);
        Shaman::AbstractPackage::List packagesFor(QObject *object) const;
        void setPackagesFor(QObject *object, const Shaman::AbstractPackage::List &packages);

        void cleanUnusedMetaPackages();

        Backend *backend;
        QList<Provider*> providers;
        AbstractPackage *currentPackage;
        QHash<QString, MetaPackage*> metaPackages;
        QHash<QObject*, Shaman::AbstractPackage::List> packages;

        void setBackend(Backend *backend);
        void setProviders(QList<Provider*> providerPlugins);
        void queryCompleted(QObject *sender, const QUuid &uuid, const Shaman::AbstractPackage::List &packages);

    private Q_SLOTS:
        void __k__packagesChanged(const Shaman::AbstractPackage::List &packages);
};
}

#endif
