/* This file is part of the KDE project

   Copyright (C) 2009 Dario Freddi <drf@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#include "shamanglobalpackagewatcher.h"

namespace Shaman
{

class GlobalPackageWatcher::Private {
};

class GlobalPackageWatcherHelper
{
  public:
    GlobalPackageWatcherHelper() : q(0) {}
    ~GlobalPackageWatcherHelper() { delete q; }
    GlobalPackageWatcher *q;
};

K_GLOBAL_STATIC(GlobalPackageWatcherHelper, s_globalGlobalPackageWatcher)

GlobalPackageWatcher *GlobalPackageWatcher::instance()
{
    if (!s_globalGlobalPackageWatcher->q) {
        new GlobalPackageWatcher;
    }

    return s_globalGlobalPackageWatcher->q;
}

GlobalPackageWatcher::GlobalPackageWatcher(QObject * parent)
  : QObject(parent)
  , d(new Private)
{
    Q_ASSERT(!s_globalGlobalPackageWatcher->q);
    s_globalGlobalPackageWatcher->q = this;
}

GlobalPackageWatcher::~GlobalPackageWatcher()
{

}

}

#include "shamanglobalpackagewatcher.h"
