/* This file is part of the KDE project

   Copyright (C) 2009 Dario Freddi <drf@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#ifndef SHAMANGLOBALPACKAGEWATCHER_H
#define SHAMANGLOBALPACKAGEWATCHER_H

#include <QtCore/QObject>
#include "shamanabstractpackage.h"
#include "shamanmacros.h"

namespace Shaman {

class SHAMAN_EXPORT GlobalPackageWatcher : public QObject
{
    Q_OBJECT
    public:
        static GlobalPackageWatcher *instance();
        virtual ~GlobalPackageWatcher();

    Q_SIGNALS:
        /**
         * This gets automatically emitted when the State changed
         * @param state the current State
         */
        void stateChanged(Shaman::AbstractPackage *package, Shaman::AbstractPackage::State state);

        /**
         * This gets automatically emitted when the Action changed
         * @param action the current Action
         */
        void actionChanged(Shaman::AbstractPackage *package, Shaman::AbstractPackage::Action action);

        void valueCached(Shaman::AbstractPackage *package, Shaman::AbstractPackage::CachedValue value);

    private:
        GlobalPackageWatcher(QObject* parent = 0);

        class Private;
        Private * const d;

        friend class AbstractPackage;
        friend class BackendPackage;
        friend class GlobalPackageWatcherHelper;
};

}

#endif // SHAMANGLOBALPACKAGEWATCHER_H
