/* This file is part of the KDE project

   Copyright (C) 2009 Dario Freddi <drf@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/


#include "shamanlocalpackage_p.h"
#include "shamanbackendinterface.h"

namespace Shaman {

LocalPackage::LocalPackage(const QString &name, const KUrl& path, BackendInterface* parent)
        : AbstractPackage(*(new LocalPackagePrivate(path, name)), parent)
{
    Q_D(LocalPackage);
    d->interface = parent;
}

LocalPackage::~LocalPackage()
{

}

QIcon LocalPackage::icon() const
{
    Q_D(const LocalPackage);
    if (d->icon.isNull()) {
        return d->interface->backend()->properties()->packageIcon();
    } else {
        return d->icon;
    }
}

KUrl LocalPackage::path() const
{
    Q_D(const LocalPackage);
    return d->path;
}

void LocalPackage::setPackageGroups(QList< PackageGroup* > groups)
{
    Q_D(LocalPackage);
    d->groups = groups;
}

QList< Shaman::Repository* > LocalPackage::repositories()
{
    return QList< Shaman::Repository* >();
}

QList< Shaman::PackageGroup* > LocalPackage::packageGroups()
{
    Q_D(LocalPackage);
    return d->groups;
}

}

#include "shamanlocalpackage.moc"
