/* This file is part of the KDE project

   Copyright (C) 2009 Dario Freddi <drf@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#ifndef SHAMANLOCALPACKAGE_H
#define SHAMANLOCALPACKAGE_H

#include "shamanabstractpackage.h"

namespace Shaman {

class BackendInterface;
class LocalPackagePrivate;

class LocalPackage : public AbstractPackage
{
    Q_DECLARE_PRIVATE(LocalPackage)
    public:
        /**
         * \class List Shaman/LocalPackage
         *
         * This class is a typedef for a QList<LocalPackage*>.
         */
        typedef QList<LocalPackage*> List;
        virtual ~LocalPackage();

    public:
        QIcon icon() const;

        KUrl path() const;

        /**
         * @returns a list of all PackageGroups which are containing this package
         */
        virtual QList<Shaman::PackageGroup*> packageGroups();

        /**
         * @returns a list of all Repositories which are containing this package
         */
        virtual QList<Shaman::Repository*> repositories();

    protected:
        LocalPackage(const QString &name, const KUrl &path, BackendInterface *parent);

        void setPackageGroups(QList<Shaman::PackageGroup*> groups);
};

}

#endif // SHAMANLOCALPACKAGE_H
