/* This file is part of the KDE project

   Copyright (C) 2009 Dario Freddi <drf@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#ifndef SHAMANLOCALPACKAGE_P_H
#define SHAMANLOCALPACKAGE_P_H

#include "shamanlocalpackage.h"
#include "shamanabstractpackage_p.h"

namespace Shaman {

class LocalPackagePrivate : public AbstractPackagePrivate
{
    public:
        LocalPackagePrivate(const KUrl &p, const QString &n)
          : AbstractPackagePrivate(Shaman::AbstractPackage::LocalPackageType)
          , path(p)
        {
            name = n;
        }
        virtual ~LocalPackagePrivate()
        {}

        KUrl path;
        QList<Shaman::PackageGroup*> groups;
        BackendInterface *interface;
};

}

#endif
