/* This file is part of the KDE project

   Copyright (C) 2008 Dario Freddi <drf@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#ifndef SHAMANMACROS_P_H
#define SHAMANMACROS_P_H

#include <QTime>
#include <QHash>

#define PERFORMANCE_MONITOR_START(a) Shaman::PerformanceMonitor::instance()->start(a);

#define PERFORMANCE_MONITOR_STOP(a) Shaman::PerformanceMonitor::instance()->stop(a);

namespace Shaman {

class PerformanceMonitor {
    public:
        static PerformanceMonitor *instance();
        ~PerformanceMonitor();

        void start(const QString &name);
        void stop(const QString &name);

    private:
        PerformanceMonitor();
        QHash<QString, QTime> m_times;
        friend class PerformanceMonitorHelper;
};

}

#endif
