/* This file is part of the KDE project

   Copyright (C) 2009 Dario Freddi <drf@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#ifndef SHAMANMETAPACKAGE_H
#define SHAMANMETAPACKAGE_H

#include "shamanabstractpackage.h"
#include "shamanmacros.h"

namespace Shaman
{

class MetaPackagePrivate;
class SHAMAN_EXPORT MetaPackage : public AbstractPackage
{
    Q_DECLARE_PRIVATE(MetaPackage)
    Q_DISABLE_COPY(MetaPackage)

    public:
        typedef QList<MetaPackage*> List;

        explicit MetaPackage(const QString &name, QObject* parent = 0);
        virtual ~MetaPackage();

        Shaman::AbstractPackage *rootPackage();
        Shaman::AbstractPackage::List packages() const;

        void addPackage(Shaman::AbstractPackage *package);
        void removePackage(Shaman::AbstractPackage *package);
        void setRootPackage(Shaman::AbstractPackage *package);

        virtual void cacheValue(Shaman::AbstractPackage::CachedValue value);
        virtual QList< Shaman::Repository* > repositories();
        virtual QList< Shaman::PackageGroup* > packageGroups();
        virtual QIcon icon() const;

    /*Q_SIGNALS:
        void packagesChanged(const Shaman::AbstractPackage::List &packages);
        void rootPackageChanged(Shaman::AbstractPackage *package);*/
};

}

#endif // METAPACKAGE_H
