/* This file is part of the KDE project

   Copyright (C) 2009 Dario Freddi <drf@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#ifndef SHAMANMETAPACKAGE_P_H
#define SHAMANMETAPACKAGE_P_H

#include "shamanmetapackage.h"
#include "shamanabstractpackage_p.h"

namespace Shaman {

class MetaPackagePrivate : public AbstractPackagePrivate
{
    public:
        MetaPackagePrivate(const QString &n, MetaPackage *parent)
            : AbstractPackagePrivate(Shaman::AbstractPackage::MetaPackageType)
            , q_ptr(parent)
            , root(0)
        {
            name = n;
        }
        virtual ~MetaPackagePrivate()
        {
        }

        Q_DECLARE_PUBLIC(MetaPackage)
        MetaPackage * const q_ptr;

        void __k__rootPackageChanged(Shaman::AbstractPackage*);

        AbstractPackage::List packages;
        AbstractPackage *root;
};

}

#endif
