/* This file is part of the KDE project

   Copyright (C) 2008 Dario Freddi <drf@kde.org>
                 2008 Lukas Appelhans <l.appelhans@gmx.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#include "shamanpackagegroup.h"

#include "shamanbackend.h"
#include <KIcon>

namespace Shaman {
class PackageGroup::Private
{
    public:
        Private(const QString &n, const QIcon &i)
          : name(n)
          , icon(i)
        {}
        ~Private()
        {}

        QString name;
        QIcon icon;
};

PackageGroup::PackageGroup(const QString &name, QObject *parent)
  : QObject(parent),
    Shaman::AbstractPackage::List(),
    d(new Private(name, KIcon("object-group")))
{
}

PackageGroup::PackageGroup(const QString& name, const QIcon& icon, QObject* parent)
  : QObject(parent)
  , Shaman::AbstractPackage::List()
  , d(new Private(name, icon))
{
}

PackageGroup::~PackageGroup()
{
}

void PackageGroup::setName(const QString &name)
{
    d->name = name;
}

QString PackageGroup::name() const
{
    return d->name;
}

QIcon PackageGroup::icon() const
{
    return d->icon;
}

void PackageGroup::setIcon(const QIcon &icon)
{
    d->icon = icon;
}

}

#include "shamanpackagegroup.moc"
