/* This file is part of the KDE project

   Copyright (C) 2009 Dario Freddi <drf@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#include "shamanpackagewatcher_p.h"
#include "shamanabstractpackage_p.h"
#include <KDebug>

namespace Shaman
{

PackageWatcher::PackageWatcher(Shaman::AbstractPackage* package, QObject* parent)
    : QObject(parent)
    , d(new PackageWatcherPrivate(package))
{
    package->d_func()->watchers.append(this);
}

void PackageWatcherPrivate::detachPackage()
{
    package = 0;
}

PackageWatcher::~PackageWatcher()
{
    if (d->package) {
        d->package->d_func()->watchers.removeOne(this);
    }
    delete d;
}

Shaman::AbstractPackage * PackageWatcher::package()
{
    return d->package;
}

}

#include "shamanpackagewatcher.moc"
