/* This file is part of the KDE project

   Copyright (C) 2009 Dario Freddi <drf@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#ifndef SHAMANPACKAGEWATCHER_H
#define SHAMANPACKAGEWATCHER_H

#include <QtCore/QObject>
#include "shamanabstractpackage.h"
#include "shamanmacros.h"

namespace Shaman {
class PackageWatcherPrivate;

class SHAMAN_EXPORT PackageWatcher : public QObject
{
    Q_OBJECT
    public:
        PackageWatcher(Shaman::AbstractPackage *package, QObject* parent = 0);
        virtual ~PackageWatcher();
        
        Shaman::AbstractPackage * package();

    Q_SIGNALS:
        /**
         * This gets automatically emitted when the State changed
         * @param state the current State
         */
        void stateChanged(Shaman::AbstractPackage::State state);

        /**
         * This gets automatically emitted when the Action changed
         * @param action the current Action
         */
        void actionChanged(Shaman::AbstractPackage::Action action);

        void valueCached(Shaman::AbstractPackage::CachedValue value);

    private:
        PackageWatcherPrivate * const d;

        friend class AbstractPackage;
        friend class BackendPackage;
};

}

#endif // SHAMANPACKAGEWATCHER_H
