/* This file is part of the KDE project

   Copyright (C) 2009 Dario Freddi <drf@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#include "shamanpluginconfig.h"
#include "shamanbase_p.h"
#include "pluginsystem/PluginLoader_p.h"

namespace Shaman {

class PluginConfig::Private
{
    public:
        KConfigGroup configGroup;
};

PluginConfig::PluginConfig(const KComponentData& componentData, QWidget* parent, const QVariantList& args)
        : KCModule(componentData, parent, args)
        , d(new Private)
{
}

PluginConfig::~PluginConfig()
{
    delete d;
}

KConfigGroup PluginConfig::pluginConfigGroup() const
{
    if (!d->configGroup.isValid()) {
        QString ifaceName = metaObject()->className();
        d->configGroup = Base::instance()->d_func()->pluginLoader->configGroupFor(ifaceName);
    }
    return d->configGroup;
}

}

#include "shamanpluginconfig.moc"
