/* This file is part of the KDE project

   Copyright (C) 2009 Dario Freddi <drf@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#ifndef PLUGINCONFIG_H
#define PLUGINCONFIG_H

#include <KCModule>
#include <KConfigGroup>
#include "shamanmacros.h"

namespace Shaman {

class SHAMAN_EXPORT PluginConfig : public KCModule
{
    Q_OBJECT
    public:
        explicit PluginConfig(const KComponentData& componentData, QWidget* parent = 0, const QVariantList& args = QVariantList());
        virtual ~PluginConfig();

        KConfigGroup pluginConfigGroup() const;

    private:
        class Private;
        Private * const d;
};

}

#endif // PLUGINCONFIG_H
