/* This file is part of the KDE project

   Copyright (C) 2010 Dario Freddi <drf@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#include "shamanquery.h"
#include "shamanmetapackage.h"

namespace Shaman {

class QueryPrivate
{
    Q_DECLARE_PUBLIC(Query)
    Query * const q_ptr;

    public:
        QueryPrivate(Query *parent) : q_ptr(parent) {
            uid = QUuid::createUuid();
        }
        virtual ~QueryPrivate() {}

        QUuid uid;
        QRegExp search;
        Query::Type type;
        AbstractPackage::Properties matchingProperties;
        MetaPackage::List metapackages;
        Query::State state;
        Query::Targets targets;

        void setState(Query::State state);

        QObjectList availableTargets;
        AbstractPackage::List partialResult;
};

class QueryPool
{
    public:
        static QueryPool *instance();

        virtual ~QueryPool();

        Query *fromUuid(const QUuid &uuid);

    private:
        QueryPool();
        QHash<QUuid, Query*> queries;

        friend class Query;
};

}
