/* This file is part of the KDE project

   Copyright (C) 2008 Lukas Appelhans <l.appelhans@gmx.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#include "AbsPlugin.h"

#include <shamanmacros.h>
#include <shamanrepository.h>

#include <aqpm/AbsBackend.h>
#include "AbsPackage.h"
#include <KDebug>

SHAMAN_PLUGIN_EXPORT(AbsPlugin)

AbsPlugin::AbsPlugin(QObject *parent, const QVariantList &)
  : ProviderPlugin(parent)
{
    repo = new Shaman::Repository("ABS", KUrl(), this);
}

AbsPlugin::~AbsPlugin()
{
}

void AbsPlugin::init()
{
    setCapabilities(Shaman::Provider::ExposePackagesCapability);
}

void AbsPlugin::reload()
{
    // Get back all the packages
    Shaman::AbstractPackage::List oldPackages = provider()->packages();
    Shaman::AbstractPackage::List newPackages;
    foreach (const QString &package, Aqpm::Abs::Backend::instance()->allPackages()) {
        AbsPackage *pkg = new AbsPackage(package, this);
        newPackages << pkg;
        repo->append(pkg);
    }
    // Now setting packages
    kDebug() << "Setting Packages of ABS";
    setPackages(newPackages);
    setRepositories(Shaman::Repository::List() << repo);
    qDeleteAll(oldPackages);
    setState(Shaman::Backend::Idling);
}

void AbsPlugin::cancelProcessing()
{

}

void AbsPlugin::markAdditionalTargetsForQueue()
{

}

void AbsPlugin::process()
{

}

void AbsPlugin::search(Shaman::Query *query)
{

}
