/* This file is part of the KDE project

   Copyright (C) 2008 Lukas Appelhans <l.appelhans@gmx.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#ifndef ABSPLUGIN_H
#define ABSPLUGIN_H

#include "shamanproviderplugin.h"

#include <QVariantList>

namespace Shaman {
    class Query;
    class Repository;
}

class AbsPlugin : public Shaman::ProviderPlugin
{
    Q_OBJECT
    public:
        explicit AbsPlugin(QObject *parent, const QVariantList & = QVariantList());
        virtual ~AbsPlugin();

        virtual void init();
        virtual void reload();

        virtual void cancelProcessing();
        virtual void markAdditionalTargetsForQueue();
        virtual void process();
        virtual void search(Shaman::Query *query);

    private:
        Shaman::Repository * repo;
};

#endif
