/* This file is part of the KDE project

   Copyright (C) 2009 Dario Freddi <drf@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#include "AurPackage.h"
#include "AurPlugin.h"

AurPackage::AurPackage(const QString& name, const QString& description, const QString& version,
                       const KUrl& homepage, const QString &license, qint64 id, AurPlugin* provider)
           : ProviderPackage(name, provider)
           , m_id(id)
{
    setDescription(description);
    setVersion(version);
    setHomepage(homepage);
    setLicense(license);
}

AurPackage::~AurPackage()
{

}

qint64 AurPackage::id() const
{
    return m_id;
}

void AurPackage::cacheValue(Shaman::AbstractPackage::CachedValue value)
{
    Q_UNUSED(value)
}

