/* This file is part of the KDE project

   Copyright (C) 2008 - 2009 Lukas Appelhans <l.appelhans@gmx.de>
   Copyright (C) 2009 Dario Freddi <drf@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#include "AurPlugin.h"

#include <shamanmacros.h>
#include <shamanproviderpackage.h>

#include <KDebug>
#include "AurPackage.h"
#include <shamanquery.h>

SHAMAN_PLUGIN_EXPORT(AurPlugin)

AurPlugin::AurPlugin(QObject *parent, const QVariantList &)
  : ProviderPlugin(parent)
{
}

AurPlugin::~AurPlugin()
{
}

void AurPlugin::init()
{
    Aqpm::Aur::Backend::instance();

    connect(Aqpm::Aur::Backend::instance(), SIGNAL(searchCompleted(QString,Aqpm::Aur::Package::List)),
            this, SLOT(slotSearchCompleted(QString,Aqpm::Aur::Package::List)));
}

void AurPlugin::process()
{
}

void AurPlugin::cancelProcessing()
{
}

void AurPlugin::markAdditionalTargetsForQueue()
{

}

void AurPlugin::search(Shaman::Query *search)
{
    kDebug() << "Searching";
    m_currentQuery = search;
    Aqpm::Aur::Backend::instance()->search(search->query().pattern());
}

void AurPlugin::slotSearchCompleted(const QString &search, const Aqpm::Aur::Package::List &packages)
{
    Shaman::AbstractPackage::List returnPackages;

    foreach (Aqpm::Aur::Package *package, packages) {
        Shaman::AbstractPackage *thepackage = 0;
        foreach (Shaman::AbstractPackage * p, searchCache()) {
            if (p->name() == package->name) {
                thepackage = p;
            }
        }
        if (!thepackage) {
            thepackage = new AurPackage(package->name, package->description, package->version, package->url,
                                        package->license, package->id, this);
        }
        returnPackages << thepackage;
    }

    setSearchResult(m_currentQuery->id(), returnPackages);
}
