/* This file is part of the KDE project

   Copyright (C) 2008 - 2009 Lukas Appelhans <l.appelhans@gmx.de>
   Copyright (C) 2009 Dario Freddi <drf@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#ifndef AURPLUGIN_H
#define AURPLUGIN_H

#include <shamanproviderplugin.h>
#include <shamanproviderpackage.h>

#include <QVariantList>
#include <aqpm/AurBackend.h>

class AurPlugin : public Shaman::ProviderPlugin
{
    Q_OBJECT
    public:
        explicit AurPlugin(QObject *parent, const QVariantList & = QVariantList());
        virtual ~AurPlugin();

        virtual void init();
        virtual void process();
        virtual void markAdditionalTargetsForQueue();
        virtual void cancelProcessing();
        virtual void search(Shaman::Query *search);

    public slots:
        void slotSearchCompleted(const QString&, const Aqpm::Aur::Package::List&);

    private:
        Shaman::Query *m_currentQuery;

};

#endif
