/* This file is part of the KDE project

   Copyright (C) 2009 Dario Freddi <drf@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#ifndef TRANSACTIONLOGGER_H
#define TRANSACTIONLOGGER_H

#include <shamancoreplugin.h>
#include <shamanabstractpackage.h>
#include <shamanrepository.h>
#include <shamanbackend.h>
#include <KDateTime>

using namespace Shaman;

class TransactionLogger : public Shaman::CorePlugin
{
    Q_OBJECT
    public:
        TransactionLogger(QObject* parent, const QVariantList &);
        virtual ~TransactionLogger();

    public slots:
        void stateChanged(Shaman::Backend::State state);
        void preTransactionHook(const Shaman::AbstractPackage::List &list);
        void preUpdateHook(const Shaman::Repository::List &list);

    protected:
        virtual void init();

    private:
        void makeRoomForLog();

        KSharedConfig::Ptr m_log;
        KDateTime m_startTime;
        QString m_type;
        bool m_isOn;
};

#endif // TRANSACTIONLOGGER_H
