/* This file is part of the KDE project

   Copyright (C) 2008 Wang Kai <fearee@gmail.com>
   Copyright (C) 2009 Dario Freddi <drf@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#ifndef PACKAGEDETAILDOCKWIDGET_H
#define PACKAGEDETAILDOCKWIDGET_H

#include "ui_PackageDetailDockWidget.h"

#include <shamanabstractpackage.h>
#include <shamanbackend.h>

#include <QDockWidget>

namespace Shaman {
class PackageWatcher;
}

class PackageDetailDockWidget : public QDockWidget, public Ui::PackageDetailDockWidget
{
    Q_OBJECT
    public:
        explicit PackageDetailDockWidget(Shaman::Backend * backend, QWidget * parent = 0);
        ~PackageDetailDockWidget();

    public slots:
        void slotCurrentPackageChanged(Shaman::AbstractPackage *pkg);
        void reloadCurrentPackage();
        void slotCurrentChanged(int idx);
        void actionChanged();
        void stateChanged();
        void backendStateChanged(Shaman::Backend::State);

    private:
        Shaman::Backend * m_backend;
        QTreeWidgetItem *depends, *requiredBy, *conflicts, *providers;
        Shaman::AbstractPackage *currentPackage;
        QPointer<Shaman::PackageWatcher> m_currentWatcher;
        QHash<int, QString> m_pages;

        void reset();
        void fillItems(QTreeWidgetItem * widget, Shaman::AbstractPackage::List pkgList);
};

#endif
