/* This file is part of the KDE project

   Copyright (C) 2008 Wang Kai <fearee@gmail.com>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#include "PackageDetailPlugin.h"

#include "PackageDetailDockWidget.h"
using namespace Shaman;

#include <shamanguiinterface.h>
#include <shamancoreinterface.h>

#include <KAction>
#include <KDebug>

SHAMAN_PLUGIN_EXPORT(PackageDetailPlugin)

PackageDetailPlugin::PackageDetailPlugin(QObject *parent, const QVariantList&)
  : Shaman::GuiPlugin(parent)
{
}

PackageDetailPlugin::~PackageDetailPlugin()
{
    //delete m_dockWidget;
}

void PackageDetailPlugin::init()
{
    m_dockWidget = new PackageDetailDockWidget(core()->backend());
    gui()->addDockWidget(Qt::BottomDockWidgetArea, m_dockWidget);
    connect(core(), SIGNAL(currentPackageChanged(Shaman::AbstractPackage *)),
            m_dockWidget, SLOT(slotCurrentPackageChanged(Shaman::AbstractPackage *)));
}

