/* This file is part of the KDE project

   Copyright (C) 2008 Lukas Appelhans <l.appelhans@gmx.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#ifndef FAVOURITESEARCHMODEL_H
#define FAVOURITESEARCHMODEL_H

#include "SearchModel.h"

#include <QAbstractItemModel>
#include <KConfigGroup>

class FavouriteSearchModel : public QAbstractItemModel
{
    Q_OBJECT
    public:
        struct Search
        {
            QString search;
            SearchModel::Type type;
        };
        FavouriteSearchModel(const KConfigGroup &config, QObject *parent);
        ~FavouriteSearchModel();

        void addFavouriteSearch(const QString &string, SearchModel::Type type);

        virtual int columnCount(const QModelIndex & parent = QModelIndex()) const;
        virtual QVariant data(const QModelIndex & index, int role = Qt::DisplayRole) const;
        virtual QModelIndex index(int row, int column, const QModelIndex & parent = QModelIndex()) const;
        virtual QModelIndex parent(const QModelIndex & index) const;
        virtual int rowCount(const QModelIndex & parent = QModelIndex()) const;
        Search searchFromModelIndex(const QModelIndex &index);

    private:
        KConfigGroup m_config;
        QList<Search> m_searches;
};

#endif
