/* This file is part of the KDE project

   Copyright (C) 2008 Lukas Appelhans <l.appelhans@gmx.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#ifndef PACKAGEGROUPMODEL_H
#define PACKAGEGROUPMODEL_H

#include <QAbstractItemModel>

#include <shamanpackagegroup.h>
#include <shamanabstractpackage.h>

using namespace Shaman;

class PackageGroupModel : public QAbstractItemModel
{
    Q_OBJECT
    public:
        PackageGroupModel(const Shaman::PackageGroup::List &groups, const Shaman::AbstractPackage::List &list, QObject *parent);
        ~PackageGroupModel();

        virtual int columnCount(const QModelIndex & parent = QModelIndex()) const;
        virtual QVariant data (const QModelIndex & index, int role = Qt::DisplayRole) const;
        virtual QModelIndex index(int row, int column, const QModelIndex & parent = QModelIndex()) const;
        virtual QModelIndex parent(const QModelIndex & index) const;
        virtual int rowCount(const QModelIndex & parent = QModelIndex()) const;
        PackageGroup * packageGroupFromModelIndex(const QModelIndex &index);

    public slots:
        void setPackageGroups(const Shaman::PackageGroup::List &groupList);
        void setDefaultPackageGroup(const Shaman::AbstractPackage::List &packages);

    private:
        Shaman::PackageGroup::List m_groups;
        PackageGroup * m_allPackages;
};

#endif
