/* This file is part of the KDE project

   Copyright (C) 2008 Lukas Appelhans <l.appelhans@gmx.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#ifndef PACKAGESVIEWPLUGIN_H
#define PACKAGESVIEWPLUGIN_H

#include <shamanguiplugin.h>

#include <QVariantList>

namespace Shaman {
    class AbstractPackage;
}

class PackagesViewDockWidget;
class PackagesViewWidget;

class PackagesViewPlugin : public Shaman::GuiPlugin
{
    Q_OBJECT
    public:
        PackagesViewPlugin(QObject *parent, const QVariantList&);
        ~PackagesViewPlugin();

        void init();

    private slots:
        void setCurrentPackage(Shaman::AbstractPackage * package);

    private:
        PackagesViewWidget * m_widget;
        PackagesViewDockWidget * m_dockWidget;
};

#endif
