/* This file is part of the KDE project

   Copyright (C) 2008 Lukas Appelhans <l.appelhans@gmx.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#ifndef PACKAGESVIEWWIDGET_H
#define PACKAGESVIEWWIDGET_H

#include "ui_PackagesViewWidget.h"

#include "SearchModel.h"

#include <QWidget>
#include <shamanprovider.h>

class QTimer;
namespace Shaman {
    class Backend;
    class PackageGroup;
    class Repository;
    class BackendPackage;
class Provider;
}

class PackagesModel;
class PackagesSortFilterProxyModel;
class PackageStateModel;
class KAction;

class PackagesViewWidget : public QWidget, public Ui::PackagesViewWidget
{
    Q_OBJECT
    public:
        explicit PackagesViewWidget(Shaman::Backend * backend, QWidget * parent = 0);
        ~PackagesViewWidget();

        QList<KAction*> packagesViewActions();

    public slots:
        void setRepositoryFilter(Shaman::Repository * repository);//TODO: Getters
        void setPackageGroupFilter(Shaman::PackageGroup * group);
        void setSearch(const QString &search, SearchModel::Type type);
        void stateComboIndexChanged(int index);
        void searchComboIndexChanged(int index);
        void addFavouriteSearch();
        void startSearch();

    signals:
        void currentPackageChanged(Shaman::AbstractPackage * package);
        void favouriteSearchAdded(const QString &search, SearchModel::Type type);

    private:
        Shaman::Backend * m_backend;
        QTimer * m_searchTimer;
        PackagesModel * m_model;
        PackagesSortFilterProxyModel * m_proxyModel;
        PackageStateModel * m_stateModel;
        SearchModel * m_searchModel;
};

#endif
