/* This file is part of the KDE project

   Copyright (C) 2008 Lukas Appelhans <l.appelhans@gmx.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#ifndef REPOSITORYMODEL_H
#define REPOSITORYMODEL_H

#include <QAbstractItemModel>

#include <shamanrepository.h>

using namespace Shaman;

class RepositoryModel : public QAbstractItemModel
{
    Q_OBJECT
    public:
        RepositoryModel(const Shaman::Repository::List &repos, const Shaman::AbstractPackage::List &allPackages, QObject *parent);
        ~RepositoryModel();

        virtual int columnCount(const QModelIndex & parent = QModelIndex()) const;
        virtual QVariant data (const QModelIndex & index, int role = Qt::DisplayRole) const;
        virtual QModelIndex index(int row, int column, const QModelIndex & parent = QModelIndex()) const;
        virtual QModelIndex parent(const QModelIndex & index) const;
        virtual int rowCount(const QModelIndex & parent = QModelIndex()) const;
        Shaman::Repository * repositoryFromModelIndex(const QModelIndex &index);

    public slots:
        void setRepositories(const Shaman::Repository::List &repoList);
        void setDefaultRepository(const Shaman::AbstractPackage::List &packages);

    private:
        Shaman::Repository::List m_repos;
        Repository * m_allPackages;
};

#endif
