/* This file is part of the KDE project

   Copyright (C) 2008 Lukas Appelhans <l.appelhans@gmx.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#ifndef SEARCHMODEL_H
#define SEARCHMODEL_H

#include <QAbstractItemModel>

class SearchModel : public QAbstractItemModel
{
    Q_OBJECT
    public:
        enum Type
        {
            Basic = 0,
            Extended = 1
        };
        SearchModel(QObject *parent);
        ~SearchModel();

        virtual int columnCount(const QModelIndex & parent = QModelIndex()) const;
        virtual QVariant data (const QModelIndex & index, int role = Qt::DisplayRole) const;
        virtual QModelIndex index(int row, int column, const QModelIndex & parent = QModelIndex()) const;
        virtual QModelIndex parent(const QModelIndex & index) const;
        virtual int rowCount(const QModelIndex & parent = QModelIndex()) const;
        Type typeFromIndex(int index);
        int indexFromType(Type type);

    private:
        QList<Type> m_types;
};

#endif
