/* This file is part of the KDE project

   Copyright (C) 2009 Lukas Appelhans <l.appelhans@gmx.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#include "ProcessingHandler.h"

ProcessingHandler::ProcessingHandler(QObject * parent)
  : QObject(parent),
    m_processing(false)
{
}

ProcessingHandler::~ProcessingHandler()
{
}

void ProcessingHandler::process(ProviderPackage::List packages)
{
    m_packages = packages;
    m_processing = true;
    it = m_packages.begin();
    startProcessing();
}

bool ProcessingHandler::cancelProcessing()
{
    if (m_processing)
        return (*it)->provider()->cancelProcessing();
    return true;
}

void ProcessingHandler::startProcessing()
{
    (*it)->provider()->process();
    //Connect the finished signal to packageFinished()
}

void ProcessingHandler::packageFinished()
{
    if (it != m_packages.end()) {
        it++;
        startProcessing();
    } else {
        finished();
    }
}
