/* This file is part of the KDE project

   Copyright (C) 2009 Lukas Appelhans <l.appelhans@gmx.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#ifndef PROCESSINGHANDLER_H
#define PROCESSINGHANDLER_H

#include <QObject>

#include <shamanproviderpackage.h>
#include <shamanprovider.h>

using namespace Shaman;

class ProcessingHandler : public QObject
{
    Q_OBJECT
    public:
        ProcessingHandler(QObject * parent);
        ~ProcessingHandler();

        void process(ProviderPackage::List packages);
        bool cancelProcessing();

    signals:
        void newMessage(const QString &message, Provider::MessageLevel level);
        void progressChanged(ProviderPackage * currentPackage, int progress);
        void totalProgressChanged(int progress);
        void finished();
        
    private slots:
        void packageFinished();

    private:
        void startProcessing();

        QList<ProviderPackage*>::iterator it;
        ProviderPackage::List m_packages;
        bool m_processing;
};

#endif
