/* This file is part of the KDE project

   Copyright (C) 2009 Lukas Appelhans <l.appelhans@gmx.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#ifndef PROVIDERPACKAGEMODEL_H
#define PROVIDERPACKAGEMODEL_H

#include <QAbstractItemModel>

#include <shamanproviderpackage.h>

using namespace Shaman;

class ProviderPackageModel : public QAbstractItemModel
{
    Q_OBJECT
    public:
        ProviderPackageModel(QObject * parent);
        ~ProviderPackageModel();

        void search(const QString &name);

        virtual int columnCount(const QModelIndex & parent = QModelIndex()) const;
        virtual QVariant data(const QModelIndex & index, int role = Qt::DisplayRole) const;
        virtual QVariant headerData(int section, Qt::Orientation orientation, int role = Qt::DisplayRole) const;
        virtual QModelIndex index(int row, int column, const QModelIndex & parent = QModelIndex()) const;
        virtual QModelIndex parent(const QModelIndex & index) const;
        virtual int rowCount(const QModelIndex & parent = QModelIndex()) const;
        Shaman::ProviderPackage * packageFromModelIndex(const QModelIndex &index);

    public slots:
        void slotSearchCompleted(QString,const Shaman::ProviderPackage::List&);

    private:
        ProviderPackage::List m_packages;
};

#endif
