/* This file is part of the KDE project

   Copyright (C) 2009 Lukas Appelhans <l.appelhans@gmx.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#ifndef PROVIDERUIDIALOG_H
#define PROVIDERUIDIALOG_H

#include <KAssistantDialog>

#include <shamanprovider.h>

#include "ui_BuildingWidget.h"
#include "ui_SelectPackagesWidget.h"

using namespace Shaman;

class ProviderPackageModel;
class ProcessingHandler;

class ProviderUiDialog : public KAssistantDialog
{
    Q_OBJECT
    public:
        ProviderUiDialog(QWidget * parent = 0);
        ~ProviderUiDialog();

    private slots:
        void currentPageChanged(KPageWidgetItem * current, KPageWidgetItem * before);
        void search();
        void finished();
        void newMessage(const QString &message, Provider::MessageLevel level);
        void cleanup();

    private:
        ProviderPackageModel * m_model;
        ProcessingHandler * m_handler;
        KPageWidgetItem * m_select;
        KPageWidgetItem * m_build;

        Ui::SelectPackagesWidget selectUi;
        Ui::BuildingWidget buildingUi;
};

#endif
