/* This file is part of the KDE project

   Copyright (C) 2009 Lukas Appelhans <l.appelhans@gmx.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#include "ProviderUiPlugin.h"

#include "ProviderUiDialog.h"

#include <shamanguiinterface.h>

#include <KAction>
#include <KIcon>
#include <KLocale>

SHAMAN_PLUGIN_EXPORT(ProviderUiPlugin)

ProviderUiPlugin::ProviderUiPlugin(QObject *parent, const QVariantList&)
  : Shaman::GuiPlugin(parent),
    m_dialog(0)
{
}

ProviderUiPlugin::~ProviderUiPlugin()
{
    if (m_dialog) {
        m_dialog->deleteLater();
    }
}

void ProviderUiPlugin::init()
{
    KAction * action = new KAction(KIcon("bla"), i18n("Build packages..."), 0);
    connect(action, SIGNAL(triggered()), SLOT(showDialog()));
    gui()->addAction(action);
}

void ProviderUiPlugin::showDialog()
{
    if (!m_dialog) {
        m_dialog = new ProviderUiDialog();
    }
    m_dialog->exec();
}
