/* This file is part of the KDE project

   Copyright (C) 2008 - 2009 Lukas Appelhans <l.appelhans@gmx.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#ifndef SCRIPTGUIPLUGIN_H
#define SCRIPTGUIPLUGIN_H

#include <shamanguiplugin.h>
#include <shamanabstractpackage.h>
#include <shamanrepository.h>

#include <kross/core/object.h>

#include <QVariantList>

class ScriptGuiPlugin : public Shaman::GuiPlugin
{
    Q_OBJECT
    public:
        ScriptGuiPlugin(QObject * parent, const QVariantList &);
        ~ScriptGuiPlugin();
        
        void loadScript(const QString &script);

    public slots:
        virtual void init();

        void setGuiPluginClass(Kross::Object::Ptr obj);
        
        void hookMessage(const QString &message);
        
        void setHookCompleted(Shaman::CorePlugin::Hook hook, Shaman::CorePlugin::HookResult result);

        void preTransactionHook(const Shaman::AbstractPackage::List &packages);
        void postTransactionHook(const Shaman::AbstractPackage::List &packages);
        void preUpdateRepositoriesHook(const Shaman::Repository::List &repositories);
        void postUpdateRepositoriesHook(const Shaman::Repository::List &repositories);
        void postBackendReloadedHook();

    private:
        class Private;
        Private * d;
};

#endif
