/* This file is part of the KDE project

   Copyright (C) 2009 Lukas Appelhans <l.appelhans@gmx.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#ifndef PACKAGEGROUPWRAPPER_H
#define PACKAGEGROUPWRAPPER_H

#include <shamanpackagegroup.h>

#include <kross/core/wrapperinterface.h>

class PackageGroupWrapper : public QObject, public Kross::WrapperInterface
{
    Q_OBJECT
    public:
        PackageGroupWrapper(Shaman::PackageGroup * group, QObject * parent);
        ~PackageGroupWrapper();
        
        virtual void* wrappedObject() const { return m_group; }
        
    public slots:
        QString name() const;
        QIcon icon() const;
        QList<QObject*> packages();
        
    private:
        Shaman::PackageGroup * m_group;
};

#endif
