/* This file is part of the KDE project

   Copyright (C) 2009 Lukas Appelhans <l.appelhans@gmx.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#include "RepositoryWrapper.h"

#include <QIcon>

RepositoryWrapper::RepositoryWrapper(Shaman::Repository * repo, QObject * parent)
  : QObject(parent),
    m_repo(repo)
{
}

RepositoryWrapper::~RepositoryWrapper()
{
}

QString RepositoryWrapper::name() const
{
    return m_repo->name();
}

QIcon RepositoryWrapper::icon() const
{
    return m_repo->icon();
}

KUrl RepositoryWrapper::url() const
{
    return m_repo->url();
}

RepositoryWrapper::State RepositoryWrapper::state()
{
    return (RepositoryWrapper::State)m_repo->state();
}
        
QList<QObject*> RepositoryWrapper::packages()
{
//     QList<QObject*> packages;
//     for (int i = 0; i != m_repo->count(); i++)
//         packages << qobject_cast<QObject*>(m_repo->at(i));
//     return packages;
    return QList<QObject*>();
}

#include "RepositoryWrapper.moc"
