/* This file is part of the KDE project

   Copyright (C) 2009 Lukas Appelhans <l.appelhans@gmx.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#ifndef REPOSITORYWRAPPER_H
#define REPOSITORYWRAPPER_H

#include <shamanrepository.h>

#include <kross/core/wrapperinterface.h>

class RepositoryWrapper : public QObject, public Kross::WrapperInterface
{
    Q_OBJECT
    public:
        enum State
        {
            Idling,
            Downloading,
            Updating,
            UpdatingFinished
        };
        RepositoryWrapper(Shaman::Repository * repo, QObject * parent);
        ~RepositoryWrapper();
        
        virtual void* wrappedObject() const { return m_repo; }
        
    public slots:
        QString name() const;
        QIcon icon() const;
        KUrl url() const;
        State state();
        
        QList<QObject*> packages();
        
    signals:
        void stateChanged(RepositoryWrapper::State state);
        
    private:
        Shaman::Repository * m_repo;
};

#endif
