/* This file is part of the KDE project

   Copyright (C) 2008 Dario Freddi <drf@kde.org>
                 2008 Lukas Appelhans <l.appelhans@gmx.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#include "shamanguiplugin.h"
#include "shamanguiplugin_p.h"
#include "shamanbase.h"

#include <KDebug>
#include "shamanguiinterface.h"

namespace Shaman {
GuiPlugin::GuiPlugin(QObject *parent)
  : CorePlugin(*(new GuiPluginPrivate) ,parent)
{
    if (!qobject_cast<Base*>(parent)) {
        kWarning() << "Object cast to Base failed, the plugin will probably crash";//TODO: throw an error
    }
}

GuiPlugin::~GuiPlugin()
{
}

GuiInterface * GuiPlugin::gui()
{
    return GuiInterface::instance();
}

StatusBarInterface * GuiPlugin::statusBar()
{
    return GuiInterface::instance()->statusBar();
}
}

#include "shamanguiplugin.moc"
