/* This file is part of the KDE project

   Copyright (C) 2008 Dario Freddi <drf@kde.org>
                 2008 Lukas Appelhans <l.appelhans@gmx.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#ifndef SHAMANGUIPLUGIN_H
#define SHAMANGUIPLUGIN_H

#include "shamanmacros.h"
#include "shamancoreplugin.h"

namespace Shaman {
class GuiInterface;
class CoreInterface;
class StatusBarInterface;
class GuiPluginPrivate;
/**
 * \class GuiPlugin shamanguiplugin.h
 * \brief Shaman's GuiPlugin class.
 *
 * This class is the base of all Gui-Plugins. It has different functions
 * to access the GuiInterface, the CoreInterface and the StatusBarInterface.
 */
class SHAMAN_EXPORT GuiPlugin : public CorePlugin
{
    Q_OBJECT
    Q_DECLARE_PRIVATE(GuiPlugin)
    Q_DISABLE_COPY(GuiPlugin)

    friend class PluginLoader;

    public:
        GuiPlugin(QObject *parent);
        virtual ~GuiPlugin();

    public Q_SLOTS:
        /**
         * This method gives the Plugin access to the GuiInterface.
         * @returns the GuiInterface
         */
        GuiInterface * gui();

        /**
         * This method gives the Plugin access to the StatusBarInterface.
         * @returns the StatusBarInterface
         */
        StatusBarInterface * statusBar();
};
}
#endif
