/* This file is part of the KDE project

   Copyright (C) 2009 Dario Freddi <drf@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#ifndef QUEUESERIALIZER_H
#define QUEUESERIALIZER_H

#include <QtCore/QHash>
#include <KUrl>
#include <KConfigGroup>

namespace QueueSerializer
{
    QHash<QString, int> queueSerialized();
    void saveQueueToFile(const KUrl &path);
    void saveQueueToConfigGroup(KConfigGroup *group);

    void loadQueueFromSerialized(const QHash<QString, int> &queue);
    void loadQueueFromFile(const KUrl &path);
    void loadQueueFromConfigGroup(const KConfigGroup &group);
}

#endif // QUEUEHANDLER_H
