/* This file is part of the KDE project

   Copyright (C) 2008 Dario Freddi <drf@kde.org>
                 2008 Lukas Appelhans <l.appelhans@gmx.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#include "MainWindow.h"

#include <KUniqueApplication>
#include <KCmdLineArgs>
#include <KAboutData>

#include <stdio.h>

int main(int argc, char ** argv)
{
    KAboutData aboutData("shaman", 0, ki18n("Shaman"), "1.90.0",
                         ki18n("A Modular Package Manager for KDE"),
                         KAboutData::License_GPL,
                         ki18n("(C) 2008 - 2009, Dario Freddi - Lukas Appelhans"));
    aboutData.addAuthor(ki18n("Dario Freddi"), ki18n("Maintainer"), "drf@kde.org", "http://drfav.wordpress.com");
    aboutData.addAuthor(ki18n("Lukas Appelhans"), ki18n("Maintainer"), "l.appelhans@gmx.de");
    aboutData.addAuthor(ki18n("Wang Kai"), ki18n("Developer"), "fearee@gmail.com");

    KCmdLineArgs::init(argc, argv, &aboutData);

    if (!KUniqueApplication::start()) {
        fprintf(stderr, "Shaman is already running!\n");
        return 0;
    }

    KUniqueApplication app;
    app.disableSessionManagement();

    new MainWindow(&aboutData);

    return app.exec();
}
