/* This file is part of the KDE project

   Copyright (C) 2009 Lukas Appelhans <l.appelhans@gmx.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/ 
#ifndef DOWNLOADVIEW_H
#define DOWNLOADVIEW_H

#include <QScrollArea>

#include <shamanabstractpackage.h>

class QProgressBar;
class QFormLayout;

class DownloadView : public QScrollArea
{
    Q_OBJECT
    public:
        DownloadView(QWidget * parent = 0);
        ~DownloadView();

    private slots:
        void packageDownloadProgressChanged(Shaman::AbstractPackage *package, qint64 downloadedBytes, qint64 totalBytes);

    private:
        QHash<Shaman::AbstractPackage*, QProgressBar*> m_packages;
        QFormLayout * m_layout;
};

#endif
