/* This file is part of the KDE project

   Copyright (C) 2009 Dario Freddi <drf@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#ifndef MARKDEPENDENCIESDIALOG_H
#define MARKDEPENDENCIESDIALOG_H

#include <shamanbackend.h>
#include "ErrorQuestionHandler.h"

class QLabel;
class QProgressBar;
using namespace Shaman;

class MarkDependenciesDialog : public ErrorQuestionHandler
{
    Q_OBJECT
    public:
        MarkDependenciesDialog(QWidget* parent = 0);
        virtual ~MarkDependenciesDialog();

        void markDependencies(const Shaman::ProcessQueueOption::List &options);

    private slots:
        void slotStateChanged(Shaman::Backend::State state);
        void slotOperationProgress(const QString&,int);

    signals:
        void dependenciesMarked();

    private:
        bool m_ongoing;
        QProgressBar *m_bar;
        QLabel *m_detailsLabel;
        QLabel *m_label;
};

#endif // MARKDEPENDENCIESDIALOG_H
