/* This file is part of the KDE project

   Copyright (C) 2008 Lukas Appelhans <l.appelhans@gmx.de>
   Copyright (C) 2009 Dario Freddi <drf@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#ifndef PROCESSQUEUEHANDLER_H
#define PROCESSQUEUEHANDLER_H

#include <QObject>
#include <QPointer>
#include <shamanabstractpackage.h>
#include <shamanbackend.h>

class MarkDependenciesDialog;
class KAction;

class ProcessQueueDialog;
class ReviewQueueDialog;

class ProcessQueueHandler : public QObject
{
    Q_OBJECT
    public:
        ProcessQueueHandler(QWidget *parent);
        ~ProcessQueueHandler();

    public slots:
        void processQueue();

    private slots:
        void markTargets();
        void unmarkTargets();
        void reviewQueue();
        void processQueueInternal(Shaman::AbstractPackage::List packages);

    private:
        QPointer<MarkDependenciesDialog> m_markDependenciesDialog;
        QPointer<ProcessQueueDialog> m_dialog;
        QPointer<ReviewQueueDialog> m_reviewDialog;
        Shaman::ProcessQueueOption::List m_options;

        friend class ReviewQueueDialog;
};

#endif 
