/* This file is part of the KDE project

   Copyright (C) 2009 Lukas Appelhans <l.appelhans@gmx.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#include "ProcessView.h"

#include <shamanbase.h>
#include <shamancoreinterface.h>

using namespace Shaman;

ProcessView::ProcessView(QWidget * parent)
  : KTextBrowser(parent)
{
    connect(Base::instance()->core()->transactionInterface(),
            SIGNAL(newMessage(QString, Shaman::TransactionInterface::MessageLevel)),
            this,
            SLOT(newMessage(QString, Shaman::TransactionInterface::MessageLevel)));

    {
        // Display also the previous messages
        QList< QPair< QString, Shaman::TransactionInterface::MessageLevel > > oldmessages =
                                                        Base::instance()->core()->transactionInterface()->transactionMessages();
        QList< QPair< QString, Shaman::TransactionInterface::MessageLevel > >::const_iterator i;
        for (i = oldmessages.constBegin(); i != oldmessages.constEnd(); ++i) {
            newMessage((*i).first, (*i).second);
        }
    }
}

ProcessView::~ProcessView()
{
}

void ProcessView::newMessage(const QString &message, Shaman::TransactionInterface::MessageLevel level)
{
    switch (level) {
        case TransactionInterface::TransactionStatusLevel:
            append("<b>" + message + "</b>");
            break;
        case TransactionInterface::HookMessageLevel:
            append(message);
            break;
        case TransactionInterface::BackendMessageLevel:
            append("<i>" + message + "</i>");
            break;
    }
}
