/* This file is part of the KDE project

   Copyright (C) 2009 Dario Freddi <drf@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/

#ifndef UPDATEDATABASEDIALOG_H
#define UPDATEDATABASEDIALOG_H

#include <KDialog>
#include <shamanrepository.h>
#include <shamantransactioninterface.h>

class QLabel;
class QFormLayout;
class QProgressBar;
using namespace Shaman;

namespace Ui {
    class UpdateDatabaseDialog;
}

class UpdateDatabaseDialog : public KDialog
{
    Q_OBJECT

    public:
        explicit UpdateDatabaseDialog(Shaman::Repository::List repoList, QWidget* parent = 0, Qt::WFlags flags = 0);
        virtual ~UpdateDatabaseDialog();

    private slots:
        void stateChanged(Shaman::TransactionInterface::State state);
        void errorTriggered(Shaman::TransactionInterface::Error, const QString&);
        void updateRepoState(Repository::State);
        void loadRepositoriesWidget();
        void showRepositoriesWidget();
        void setTransactionProgress(int);

    protected:
        virtual void closeEvent(QCloseEvent* e);

    private:
        Shaman::Repository::List m_repositories;
        Ui::UpdateDatabaseDialog *m_ui;
        TransactionInterface* m_transactionInterface;
        QHash<Repository*, QLabel*> m_repositoriesToLabel;
        QFormLayout * m_layout;
        QWidget * m_repositoriesWidget;
        Repository::List m_processed;
        bool m_handleProgress;
        bool m_running;
};

#endif // UPDATEDATABASEDIALOG_H
