/* This file is part of the KDE project

   Copyright (C) 2009 Lukas Appelhans <l.appelhans@gmx.de>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#include "UpdateDatabaseHandler.h"

#include "UpdateDatabaseDialog.h"
#include "settings.h"

#include <shamanstatusbarinterface.h>
#include <shamanbackend.h>
#include <shamanbase.h>
#include <shamancoreinterface.h>

#include <KAction>
#include <KDebug>
#include <KLocale>

#include <QTimer>
#include <shamanguiinterface.h>

using namespace Shaman;

UpdateDatabaseHandler::UpdateDatabaseHandler(QObject * parent)
  : QObject(parent)
{
    foreach (Repository * repo, Base::instance()->core()->backend()->repositories()) {
        connect(repo, SIGNAL(stateChanged(Repository::State)), SLOT(repositoryStateChanged(Repository::State)));
    }
}

UpdateDatabaseHandler::~UpdateDatabaseHandler()
{
}

void UpdateDatabaseHandler::updateRepositories()
{
    UpdateDatabaseDialog *dialog = new UpdateDatabaseDialog(Base::instance()->core()->backend()->repositories(), qobject_cast<QWidget*>(parent()));
    dialog->setModal(true);
    connect(dialog, SIGNAL(rejected()), Base::instance()->core()->backend(), SLOT(cancelRepositoriesUpdate()));
    dialog->show();
    Base::instance()->core()->backend()->updateRepositories();
}

void UpdateDatabaseHandler::repositoryStateChanged(Repository::State state)
{
    if (state == Repository::UpdatingFinished) {
        GuiInterface::instance()->statusBar()->setProgress(100 *
        (Base::instance()->core()->backend()->repositories().indexOf(qobject_cast<Repository*>(QObject::sender())) + 1)
                                                        / Base::instance()->core()->backend()->repositories().count());
    }
}
